/**
 * NewHeight.com Inc.
 * Copyright (c) 2008-2010 All Rights Reserved.
 */
package com.yeejoin.amos.iot.business.dao.mapper;

import java.util.List;
import java.util.Map;

import com.yeejoin.amos.iot.business.entity.mybatis.MetricDataBo;
import org.apache.ibatis.annotations.Mapper;

import com.yeejoin.amos.iot.business.entity.mybatis.MetricDataVo;
import com.yeejoin.amos.iot.business.param.MetricDataPageParam;

/**
 * 消防单位装备查询mapper
 * 
 * @author as-youjun
 *
 */
@Mapper
public interface MetricDataMapper {

	/**
	 * 获取指标数据数量
	 * 
	 * @return
	 */
	long countMetricData();

	/**
	 * 分页查询指标数据
	 * 
	 * @param param
	 * @return
	 */
	List<MetricDataVo> pageMetricData(MetricDataPageParam pageParam);
	
	MetricDataVo getRealTimeData(Map<String, Object> map);

    List<MetricDataBo> findAllMetricDataByEquipId(long id);
}
