package com.yeejoin.amos.iot.business.dao.repository;

import java.util.List;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

import com.yeejoin.amos.iot.business.entity.CapabilitylInterface;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * 
 * <pre>
 * 能力接口
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: ICapabilitylInterfaceDao.java, v 0.1 2018年1月30日 上午11:21:08 as-chenjiajun Exp $
 */
public interface ICapabilityInterfaceDao extends BaseDao<CapabilitylInterface, Long>
{
	@Modifying
	@Transactional
	@Query("UPDATE CapabilitylInterface SET is_delete = 1 WHERE id = ?1")
	void delCapabilitylInterfaceById(Long id);

	@Query("from CapabilitylInterface WHERE intfc_id = ?1")
	List<CapabilitylInterface> getCapacityIntfcByIntfc(Long id);
}
