package com.yeejoin.amos.iot.business.dao.repository;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.yeejoin.amos.iot.business.entity.RuleTcp;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * 
 * <pre>
 * 规则视图中tcp信息dao
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: IRuleTcpDao.java, v 0.1 2018年5月4日 下午2:27:46 as-guowubin Exp $
 */
@Repository
public interface IRuleTcpDao extends BaseDao<RuleTcp,String>
{
	@Modifying
	@Transactional
	@Query("UPDATE RuleTcp SET is_delete = 1 WHERE id = ?1")
	void delRuleTcpById(String id);
}
