package com.yeejoin.amos.iot.business.dao.repository;


import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.yeejoin.amos.iot.business.entity.SystemLog;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * 
 * <pre>
 * 系统日志dao
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: ISystemLogDao.java, v 0.1 2018年4月23日 下午5:48:14 as-guowubin Exp $
 */
@Repository
public interface ISystemLogDao extends BaseDao<SystemLog, String>
{
	@Modifying
	@Transactional
	@Query("UPDATE SystemLog SET is_delete = 1 WHERE id = ?1")
	void delSystemLogById(String id);
}
