package com.yeejoin.amos.iot.business.dic;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;

import com.yeejoin.amos.iot.business.entity.Dic;

/**
 * 设备模型领域类型
 * @author maoying
 *
 */
@Entity
@DiscriminatorValue("EquipTemplateIndustry")
public class EquipTemplateIndustry extends Dic{

	/**
	 * 
	 */
	private static final long serialVersionUID = 8679802783462492469L;

	/**
	 * String：01表示消防行业;02表示电力行业；03表示网络行业;99表示其他
	 * 
	 */

	public static final String FIRE = "01";

	public static final String POWER  = "02";

	public static final String INTERNET = "03";
	
	public static final String INDUSTRIAL = "04";
	
	public static final String OTHER = "99";

}
