/**
 * 
 */
package com.yeejoin.amos.iot.business.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.annotations.Where;

/**
 * 能力与接口关联关系
 * 
 * @author as-youjun
 *
 */
@Entity
@Table(name = "t_cpbl_intfc")
@Where(clause="is_delete=0")//表示未删除的数据
public class CapabilitylInterface extends BasicEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3587056537061899910L;

	/**
	 * 能力id
	 */
	private Long cpblId;

	/**
	 * 接口id
	 */
	private Long intfcId;

	/**
	 * 关联设备模板接口表(t_eqp_tmpl_intfc)id
	 */
	private Long empTmplIntfcId;

	@Column(name = "cpbl_id", nullable = false)
	public Long getCpblId() {
		return cpblId;
	}

	public void setCpblId(Long cpblId) {
		this.cpblId = cpblId;
	}

	@Column(name = "intfc_id", nullable = false)
	public Long getIntfcId() {
		return intfcId;
	}

	public void setIntfcId(Long intfcId) {
		this.intfcId = intfcId;
	}

	/**
	 * @return the empTmplIntfcId
	 */
	@Column(name = "eqp_tmpl_intfc_id", nullable = false)
	public Long getEmpTmplIntfcId() {
		return empTmplIntfcId;
	}

	/**
	 * @param empTmplIntfcId
	 *            the empTmplIntfcId to set
	 */
	public void setEmpTmplIntfcId(Long empTmplIntfcId) {
		this.empTmplIntfcId = empTmplIntfcId;
	}

}
