/**
 * 
 */
package com.yeejoin.amos.iot.business.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.annotations.Where;

/**
 * 设备模板与协议关联关系
 * 
 * @author as-youjun
 *
 */
@Entity
@Table(name = "t_eqp_tmpl_protocol")
@Where(clause="is_delete=0")//表示未删除的数据
public class EqpTmplProtocol extends BasicEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 567830565443938563L;

	/**
	 * 设备模板id
	 */
	private Long eqpTmplId;

	/**
	 * 协议id
	 */
	private Long protocolId;

	@Column(name = "eqp_tmpl_id", nullable = false)
	public Long getEqpTmplId() {
		return eqpTmplId;
	}

	public void setEqpTmplId(Long eqpTmplId) {
		this.eqpTmplId = eqpTmplId;
	}

	@Column(name = "protocol_id", nullable = false)
	public Long getProtocolId() {
		return protocolId;
	}

	public void setProtocolId(Long protocolId) {
		this.protocolId = protocolId;
	}

}
