package com.yeejoin.amos.iot.business.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.annotations.Where;

/**
 * 
 * <pre>
 * 视图链路信息
 * </pre>
 *
 * @author AS-guowubin
 * @version $Id: LinkVo.java, v 0.1 2018年4月10日 上午10:34:31 AS-guowubin Exp $
 */
@Entity
@Table(name = "t_rm_linkvo")
@Where(clause="is_delete=0")//表示未删除的数据
public class LinkVo extends RuleElement
{
	
	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = 853297157740075669L;
	/**
	 * 源节点Id
	 */
	@Column(name = "source_id")
	private String sourceId;
	/**
	 * 目标节点Id
	 */
	@Column(name = "target_id")
	private String targetId;
	
	public String getSourceId()
	{
		return sourceId;
	}
	public void setSourceId(String sourceId)
	{
		this.sourceId = sourceId;
	}
	public String getTargetId()
	{
		return targetId;
	}
	public void setTargetId(String targetId)
	{
		this.targetId = targetId;
	}
		
}
 