package com.yeejoin.amos.iot.business.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.annotations.Where;

/**
 * 
 * <pre>
 * 组织架构背景图片
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: OrgImgRelationships.java, v 0.1 2018年5月7日 下午1:52:10 as-chenjiajun Exp $
 */
@Entity
@Table(name = "t_org_img")
@Where(clause="is_delete=0")//表示未删除的数据
public class OrgImgRelationships extends BasicEntity
{

	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = -5212279994752671310L;
	
	/**
	 * 组织架构code
	 */
	private String orgCode;
	
	/**
	 * 背景图片uuid
	 */
	private String imgUid;
	
	/**
	 * 名称
	 */
	private String name;

	@Column(name = "orgcode", length = 100, nullable = false)
	public String getOrgCode()
	{
		return orgCode;
	}

	public void setOrgCode(String orgCode)
	{
		this.orgCode = orgCode;
	}

	@Column(name = "imguid", length = 100, nullable = false)
	public String getImgUid()
	{
		return imgUid;
	}

	public void setImgUid(String imgUid)
	{
		this.imgUid = imgUid;
	}

	public String getName()
	{
		return name;
	}

	public void setName(String name)
	{
		this.name = name;
	}
}
