/**
 * 
 */
package com.yeejoin.amos.iot.business.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.annotations.Where;

/**
 * 定时job
 * 
 * @author as-youjun
 *
 */
@Entity
@Table(name = "t_polling_job")
@Where(clause="is_delete=0")//表示未删除的数据
public class PollingJob extends BasicEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7620974353030745574L;

	/**
	 * 名称
	 */
	private String name;

	/**
	 * 延迟时间(秒)
	 */
	private int delay;

	/**
	 * 周期(秒)
	 */
	private int period;

	@Column(name = "name", length = 100, nullable = false)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Column(name = "delay", nullable = false)
	public int getDelay() {
		return delay;
	}

	public void setDelay(int delay) {
		this.delay = delay;
	}

	@Column(name = "period", nullable = false)
	public int getPeriod() {
		return period;
	}

	public void setPeriod(int period) {
		this.period = period;
	}

}
