/**
 * 
 */
package com.yeejoin.amos.iot.business.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 子图
 * 
 * @author as-youjun
 *
 */
@Entity
@Table(name = "t_subview")
public class Subview extends TimeEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4508686478505535217L;

	/**
	 * 名称
	 */
	private String name;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 父子图id
	 */
	private Long pid;

	/**
	 * 用户id
	 */
	private String userId;

	@Column(name = "name", length = 100, nullable = false)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Column(name = "remark", length = 512)
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	@Column(name = "pid", nullable = false)
	public Long getPid() {
		return pid;
	}

	public void setPid(Long pid) {
		this.pid = pid;
	}

	@Column(name = "user_id")
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

}
