/**
 * 
 */
package com.yeejoin.amos.iot.business.entity.mybatis;

import java.util.Date;
import java.util.List;

/**
 * 告警
 * 
 * @author as-youjun
 *
 */
public class AlarmDataVo {

	/**
	 * ID
	 */
	private Long id;

	/**
	 * 名称
	 */
	private String name;

	/**
	 * 描述
	 */
	private String descr;

	/**
	 * 告警类型：1表示设备掉线，2表示采集异常，3表示指标越界
	 */
	private Integer type;

	/**
	 * 告警级别：1表示一级，2表示二级，3表示三级
	 */
	private Integer level;

	/**
	 * 告警状态：1表示未处理(产生)，2表示历史(清除)，3表示删除(逻辑删除)
	 */
	private Integer status;

	/**
	 * 产生时间
	 */
	private Date raiseTime;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 告警次数
	 */
	private Integer count;

	/**
	 * 清除类型：1表示用户清除，2表示系统清除
	 */
	private Integer clearType;

	/**
	 * 清除时间
	 */
	private Date clearTime;

	/**
	 * 清除用户id
	 */
	private String clearUserId;

	/**
	 * 清除信息
	 */
	private String clearInfo;

	/**
	 * 装备id
	 */
	private Long eqpId;
	
	/**
	 * 装备name
	 */
	private String eqpName;

	/**
	 * 能力属性id
	 */
	private Long cpblAttrId;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 活动记录
	 */
	private String record;
	
	/**
	 * 公司iD
	 */
	private String orgCode;

	/**
	 * 活动记录列表
	 */
	private List<String> recordList;
	
	/**
	 * 持续时间
	 */
	private String durationDate;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Date getRaiseTime() {
		return raiseTime;
	}

	public void setRaiseTime(Date raiseTime) {
		this.raiseTime = raiseTime;
	}

	public Date getClearTime() {
		return clearTime;
	}

	public void setClearTime(Date clearTime) {
		this.clearTime = clearTime;
	}

	public String getClearUserId() {
		return clearUserId;
	}

	public void setClearUserId(String clearUserId) {
		this.clearUserId = clearUserId;
	}

	public String getClearInfo() {
		return clearInfo;
	}

	public void setClearInfo(String clearInfo) {
		this.clearInfo = clearInfo;
	}

	public Long getEqpId() {
		return eqpId;
	}

	public void setEqpId(Long eqpId) {
		this.eqpId = eqpId;
	}

	public Long getCpblAttrId() {
		return cpblAttrId;
	}

	public void setCpblAttrId(Long cpblAttrId) {
		this.cpblAttrId = cpblAttrId;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * @return the descr
	 */
	public String getDescr() {
		return descr;
	}

	/**
	 * @param descr
	 *            the descr to set
	 */
	public void setDescr(String descr) {
		this.descr = descr;
	}

	/**
	 * @return the type
	 */
	public Integer getType() {
		return type;
	}

	/**
	 * @param type
	 *            the type to set
	 */
	public void setType(Integer type) {
		this.type = type;
	}

	/**
	 * @return the count
	 */
	public Integer getCount() {
		return count;
	}

	/**
	 * @param count
	 *            the count to set
	 */
	public void setCount(Integer count) {
		this.count = count;
	}

	/**
	 * @return the clearType
	 */
	public Integer getClearType() {
		return clearType;
	}

	/**
	 * @param clearType
	 *            the clearType to set
	 */
	public void setClearType(Integer clearType) {
		this.clearType = clearType;
	}

	/**
	 * @return the record
	 */
	public String getRecord() {
		return record;
	}

	/**
	 * @param record
	 *            the record to set
	 */
	public void setRecord(String record) {
		this.record = record;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	/**
	 * @return the recordList
	 */
	public List<String> getRecordList() {
		return recordList;
	}

	public String getEqpName() {
		return eqpName;
	}

	public void setEqpName(String eqpName) {
		this.eqpName = eqpName;
	}

	public String getDurationDate() {
		return durationDate;
	}

	public void setDurationDate(String durationDate) {
		this.durationDate = durationDate;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	
}
