package com.yeejoin.amos.iot.business.enums;

/**
 * 
 * <pre>
 * 装备行业类型 
 * </pre>
 *
 * @author as-hehangfei
 * @time 2018年5月11日 上午10:01:00
 * @version 1.0
 */
public enum EquipTempIndustryType {

	FIRE("消防", "01", "fire"), 
	ELECTRIC("电力", "02", "electric"), 
	NET("网络", "03", "net"),
	INDUSTRIAL("工业控制", "04", "industrial"),
	OTHERS("其他", "99", "others");
	
	private String name;
	private String code;
	private String typeName;
	
	private EquipTempIndustryType(String name, String code, String typeName) {
		this.name = name;
		this.code = code;
		this.typeName = typeName;
	}
	
	public static EquipTempIndustryType getEnumByCode(String code){
		EquipTempIndustryType industryType = null;
		for (EquipTempIndustryType typeEnum : EquipTempIndustryType.values()) {
			if (typeEnum.getCode().equals(code)) {
				industryType = typeEnum;
				break;
			}
		}
		return industryType;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	
}
