package com.yeejoin.amos.iot.business.enums;
/**
 * 
 * <pre>
 * 规则节点类型枚举
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: RuleNodeType.java, v 0.1 2018年5月3日 下午2:20:11 as-guowubin Exp $
 */
public class RuleNodeType 
{

	/**
	 * 数据源节点
	 */
	public static final String DATANODE_DEVICE = "datanodeDevice"; // 设备
	public static final String DATANODE_CURUSER = "datanodeCurrentUser"; // 当前用户
	public static final String DATANODE_SUBUSER = "datanodeSubUser"; // 子用户
	public static final String DATANODE_TASK = "datanodeTask"; // 任务
	public static final String DATANODE_VIEW = "datanodeView"; // 视图
	public static final String DATANODE_CPBL = "datanodeCapability"; // 视图
	/**
	 * 告警节点
	 */
	public static final String ALARM_ALL = "alarmAll"; // 全部告警
	public static final String ALARM_QUOTA = "alarmQuota"; // 指标越界告警
	public static final String ALARM_COLLECT = "alarmCollect"; // 采集异常告警
	public static final String ALARM_DEVOFFLINE = "alarmDeviceOffline"; // 设备掉线告警
	/**
	 * 输出节点
	 */
	public static final String OUTPUT_EMAIL = "outputEmail"; // email
	public static final String OUTPUT_MQTT = "outputMqtt"; // mqtt
	public static final String OUTPUT_TCP = "outputTcp"; // tcp
	
}
