/**
 * 
 */
package com.yeejoin.amos.iot.business.param;

import java.util.List;

import com.yeejoin.amos.iot.core.common.request.CommonPageable;

/**
 * 
 * <pre>
 * 设备数据分页查询参数
 * </pre>
 *
 * @author as-shibaobao
 * @version $Id: EquipmentTemplatePageParam.java, v 0.1 2018年1月31日 下午4:45:31
 *          as-shibaobao Exp $
 */
public class DevicePageParam extends CommonPageable
{

	/**
	 * 设备名称
	 */
	private String name;
	/**
	 * 可见性：0表示公共，1表示私有
	 */
	private Integer visibility;
	/**
	 * 能力类型code集合
	 */
	private List<Integer> types;
	/**
	 * 协议id集合
	 */
	private List<Long> protocolIds;
	/**
	 * 接口通讯方式id集合
	 */
	private List<Long> commIds;
	
	/**
	 * 所属行业集合
	 */
	private List<Long> industryIds;
	
	/**
	 * 用户ID
	 */
	private String userId;
	
	/**
	 * 公司ID
	 */
	private String orgCode;
	
	/**
	 * 是否管理员
	 */
	private Boolean isDirector;

	public String getName()
	{
		return name;
	}

	public void setName(String name)
	{
		this.name = name;
	}

	public List<Integer> getTypes()
	{
		return types;
	}

	public void setTypes(List<Integer> types)
	{
		this.types = types;
	}

	public List<Long> getProtocolIds()
	{
		return protocolIds;
	}

	public void setProtocolIds(List<Long> protocolIds)
	{
		this.protocolIds = protocolIds;
	}

	public List<Long> getCommIds()
	{
		return commIds;
	}

	public void setCommIds(List<Long> commIds)
	{
		this.commIds = commIds;
	}

	public Integer getVisibility()
	{
		return visibility;
	}

	public void setVisibility(Integer visibility)
	{
		this.visibility = visibility;
	}

	public String getUserId()
	{
		return userId;
	}

	public void setUserId(String userId)
	{
		this.userId = userId;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public Boolean getIsDirector() {
		return isDirector;
	}

	public void setIsDirector(Boolean isDirector) {
		this.isDirector = isDirector;
	}

	public List<Long> getIndustryIds() {
		return industryIds;
	}

	public void setIndustryIds(List<Long> industryIds) {
		this.industryIds = industryIds;
	}
	
}
