package com.yeejoin.amos.iot.business.param;

import java.util.Date;

import com.yeejoin.amos.iot.business.dic.ScriptLang;

/**
 * 
 * <pre>
 * 协议传递参数
 * </pre>
 *
 * @author as-lixiangyang
 * @version $Id: ProtocolParam.java, v 0.1 2018年1月29日 下午2:02:27 as-lixiangyang Exp $
 */
public class ProtocolParam {
	/**
	 * 操作类型：新增，修改
	 */
	private String operateType;
	/**
	 * 协议名称
	 */
	private String name;
	/**
	 * 版本
	 */
	private String version;
	/**
	 * 创建时间
	 */
	private Date creteTime;
	/**
	 * 更新时间
	 */
	private Date updateTime;
	/**
	 * 协议解析脚本语言
	 */
	private ScriptLang scriptLang;
	/**
	 * 协议解析代码
	 */
	private String scriptCode;
	/**
	 * 描述
	 */
    private String description;
	public String getName()
	{
		return name;
	}
	public void setName(String name)
	{
		this.name = name;
	}
	public String getVersion()
	{
		return version;
	}
	public void setVersion(String version)
	{
		this.version = version;
	}
	public Date getCreteTime()
	{
		return creteTime;
	}
	public void setCreteTime(Date creteTime)
	{
		this.creteTime = creteTime;
	}
	public Date getUpdateTime()
	{
		return updateTime;
	}
	public void setUpdateTime(Date updateTime)
	{
		this.updateTime = updateTime;
	}
	public ScriptLang getScriptLang()
	{
		return scriptLang;
	}
	public void setScriptLang(ScriptLang scriptLang)
	{
		this.scriptLang = scriptLang;
	}
	public String getScriptCode()
	{
		return scriptCode;
	}
	public void setScriptCode(String scriptCode)
	{
		this.scriptCode = scriptCode;
	}
	public String getDescription()
	{
		return description;
	}
	public void setDescription(String description)
	{
		this.description = description;
	}
	public String getOperateType()
	{
		return operateType;
	}
	public void setOperateType(String operateType)
	{
		this.operateType = operateType;
	}
}
