package com.yeejoin.amos.iot.business.param;

import java.io.Serializable;

/**
 * 
 * <pre>
 * 插件查询参数
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: SectionParam.java, v 0.1 2018年6月27日 下午2:22:28 as-chenjiajun Exp $
 */
public class SectionParam implements Serializable
{

	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = -8605430615881089686L;
	
	/**
	 * 公司code
	 */
	private String orgCode;
	
	/**
	 * 用户id
	 */
	private Long userId;
	
	/**
	 * 评分
	 */
	private Float rateValue;

	/**
	 * 名称
	 */
	private String name;
	
	/**
	 * 是否推荐
	 */
	private Boolean isRecommend;
	
	/**
	 * 分类：高级应用:1
	 */
	private Integer type;
	
	/**
	 * 收费或免费
	 */
	private Boolean isFree;

	public String getOrgCode()
	{
		return orgCode;
	}

	public void setOrgCode(String orgCode)
	{
		this.orgCode = orgCode;
	}

	public Long getUserId()
	{
		return userId;
	}

	public void setUserId(Long userId)
	{
		this.userId = userId;
	}

	public Float getRateValue()
	{
		return rateValue;
	}

	public void setRateValue(Float rateValue)
	{
		this.rateValue = rateValue;
	}

	public String getName()
	{
		return name;
	}

	public void setName(String name)
	{
		this.name = name;
	}

	public Boolean getIsRecommend()
	{
		return isRecommend;
	}

	public void setIsRecommend(Boolean isRecommend)
	{
		this.isRecommend = isRecommend;
	}

	public Integer getType()
	{
		return type;
	}

	public void setType(Integer type)
	{
		this.type = type;
	}

	public Boolean getIsFree()
	{
		return isFree;
	}

	public void setIsFree(Boolean isFree)
	{
		this.isFree = isFree;
	}
}
