package com.yeejoin.amos.iot.business.param;

import java.io.Serializable;

/**
 * 
 * <pre>
 * 拓扑图节点配置参数
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: TopoConfigParam.java, v 0.1 2018年4月20日 下午4:07:26 as-chenjiajun Exp $
 */
public class TopoConfigParam implements Serializable
{
	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = -1757917619884355937L;
	
	public TopoConfigParam()
	{
		//接口传参需要默认无参构造
	}

	public TopoConfigParam(String label,NodeStyle style,String type,String nodeType)
	{
		this.label = label;
		this.style = style;
		this.type = type;
		this.nodeType = nodeType;
	}
	/**
	 * 标签
	 */
	private String label;
	
	/**
	 * 样式
	 */
	private NodeStyle style;
	
	/**
	 * 节点方式
	 */
	private String type;
	
	/**
	 * 类型
	 */
	private String nodeType;
	
	/**
	 * ruleNode表id
	 */
	private String ruleNodeId;

	public String getLabel()
	{
		return label;
	}

	public void setLabel(String label)
	{
		this.label = label;
	}

	public NodeStyle getStyle()
	{
		return style;
	}

	public void setStyle(NodeStyle style)
	{
		this.style = style;
	}

	public String getType()
	{
		return type;
	}

	public void setType(String type)
	{
		this.type = type;
	}

	public String getRuleNodeId()
	{
		return ruleNodeId;
	}

	public void setRuleNodeId(String ruleNodeId)
	{
		this.ruleNodeId = ruleNodeId;
	}

	public String getNodeType() {
		return nodeType;
	}

	public void setNodeType(String nodeType) {
		this.nodeType = nodeType;
	}
	
	
}
