package com.yeejoin.amos.iot.business.polling.test;

import com.yeejoin.amos.iot.business.entity.mybatis.CapabilityBo;
import com.yeejoin.amos.iot.business.entity.mybatis.EqpTmplAttributeBo;
import com.yeejoin.amos.iot.business.entity.mybatis.EqpTmplIntfcBo;
import org.apache.log4j.Logger;

import java.util.List;
import java.util.Map;

/**
 * 测试设备输入数据
 */
public class TestEqpInputData {

    /**
     * 日志记录器
     */
    private static final Logger logger = Logger.getLogger(TestEqpInputData.class);

    /**
     * 能力
     */
    private List<CapabilityBo> capabilityBos;

    /**
     * 设备接口
     */
    private List<EqpTmplIntfcBo> eqpTmplIntfcs;

    /**
     * 设备模板属性
     */
    private List<EqpTmplAttributeBo> eqpTmplAttributes;

    /**
     * 配置数据
     */
    private Map<String, Object> propertyMap;

    /**
     * token
     */
    private String token;

    /**
     * 测试类型：connct表示接口测试；meric表示指标测试
     */
    private String flag;

    public List<CapabilityBo> getCapabilityBos() {
        return capabilityBos;
    }

    public void setCapabilityBos(List<CapabilityBo> capabilityBos) {
        this.capabilityBos = capabilityBos;
    }

    public List<EqpTmplIntfcBo> getEqpTmplIntfcs() {
        return eqpTmplIntfcs;
    }

    public void setEqpTmplIntfcs(List<EqpTmplIntfcBo> eqpTmplIntfcs) {
        this.eqpTmplIntfcs = eqpTmplIntfcs;
    }

    public List<EqpTmplAttributeBo> getEqpTmplAttributes() {
        return eqpTmplAttributes;
    }

    public void setEqpTmplAttributes(List<EqpTmplAttributeBo> eqpTmplAttributes) {
        this.eqpTmplAttributes = eqpTmplAttributes;
    }

    public Map<String, Object> getPropertyMap() {
        return propertyMap;
    }

    public void setPropertyMap(Map<String, Object> propertyMap) {
        this.propertyMap = propertyMap;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }
}
