package com.yeejoin.amos.iot.business.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.stereotype.Service;

import com.yeejoin.amos.iot.business.dao.repository.ICapabilityDao;
import com.yeejoin.amos.iot.business.dao.repository.ICapabilityPropertyDao;
import com.yeejoin.amos.iot.business.entity.CapabilityAttribute;
import com.yeejoin.amos.iot.business.service.intfc.ICapabilityAttrService;
import com.yeejoin.amos.op.core.jpa.GenericManagerImpl;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * 
 * <pre>
 * 设备属性Service实现
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: CapabilityAttrServiceImpl.java, v 0.1 2018年5月4日 下午5:16:01 as-guowubin Exp $
 */
@Service("CapabilityAttrService")
public class CapabilityAttrServiceImpl 
implements ICapabilityAttrService
{
	
	@Autowired
	private ICapabilityPropertyDao capabilityPropertyDao;
	
	@Override
	public List<CapabilityAttribute> findAll(Specification<CapabilityAttribute> capaAttrSpec) {
		return capabilityPropertyDao.findAll(capaAttrSpec);
	}

}
