/**
 *
 */
package com.yeejoin.amos.iot.business.service.impl;

import com.yeejoin.amos.iot.business.dao.repository.IDicDao;
import com.yeejoin.amos.iot.business.entity.Dic;
import com.yeejoin.amos.iot.business.service.intfc.IDicService;
import com.yeejoin.amos.op.core.jpa.GenericManagerImpl;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;

/**
 * 数据字典service实现类
 *
 * @author as-youjun
 */
@Service("dicService")
public class DicServiceImpl 
implements IDicService 
{
	@Autowired
	private IDicDao dicDao;

    @Override
    @Transactional
    public Dic getById(String id) {
        return dicDao.getOne(Long.valueOf(id));
    }

}
