package com.yeejoin.amos.iot.business.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.yeejoin.amos.iot.business.dao.repository.IEqpCpblPropertyDao;
import com.yeejoin.amos.iot.business.entity.EqpCpblProperty;
import com.yeejoin.amos.iot.business.service.intfc.IEqpCpblPropertyService;
import com.yeejoin.amos.op.core.jpa.GenericManagerImpl;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * 
 * <pre>
 * 
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: EqpCpblPropertyServiceImpl.java, v 0.1 2018年7月12日 上午9:35:10 as-chenjiajun Exp $
 */
@Service("EqpCpblPropertyService")
public class EqpCpblPropertyServiceImpl 
implements IEqpCpblPropertyService
{
	
	@Autowired
	private IEqpCpblPropertyDao iEqpCpblPropertyDao;

	@Override
	public void deleteByEqpId(Long eqpId)
	{
		iEqpCpblPropertyDao.deleteByEqpId(eqpId);
	}

	@Override
	public List<EqpCpblProperty> findInfoByEqpId(Long eqpId)
	{
		return iEqpCpblPropertyDao.findInfoByEqpId(eqpId);
	}

	@Override
	public List<EqpCpblProperty> findByEqpIdAndCpblId(Long eqpId, Long cpblId)
	{
		return iEqpCpblPropertyDao.findByEqpIdAndCpblId(eqpId, cpblId);
	}

	@Override
	public void saveAll(List<EqpCpblProperty> thresholdList) {
		iEqpCpblPropertyDao.saveAll(thresholdList);
	}

	@Override
	public void delete(EqpCpblProperty eqpCpblProperty) {
		iEqpCpblPropertyDao.delete(eqpCpblProperty);
	}
}
