package com.yeejoin.amos.iot.business.service.intfc;

import java.util.List;

import com.yeejoin.amos.iot.business.entity.EquipmentCapability;
import com.yeejoin.amos.op.core.jpa.IGenericManager;

/**
 * 
 * <pre>
 * 设备与能力关联关系服务接口
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: IEqpCpblService.java, v 0.1 2018年6月9日 上午10:48:42 as-guowubin Exp $
 */
public interface IEqpCpblService 
{
	/**
	 * 
	 * <pre>
	 * 根据eqpId查询
	 * </pre>
	 *
	 * @param eqpId
	 * @return
	 */
	List<EquipmentCapability> findByEqpId(Long eqpId);
	
	/**
	 * 
	 * <pre>
	 * 删除设备和能力关联关系
	 * </pre>
	 *
	 */
	void delByEqpId(Long eqpId);
	
	
	/**
	 * 
	 * <pre>
	 * 根据eqpId查询
	 * </pre>
	 *
	 * @param eqpId
	 * @return
	 */
	List<EquipmentCapability> findByEpbIdAndCpblId(Long eqpId,Long cpblId);

	void delete(EquipmentCapability equipmentCapability);

	void save(EquipmentCapability eqpCapability);
}
