package com.yeejoin.amos.iot.business.service.intfc;

import java.util.List;

import com.yeejoin.amos.iot.business.entity.LinkVo;
import com.yeejoin.amos.op.core.jpa.IGenericManager;

/**
 * 
 * <pre>
 * 视图线路服务接口
 * </pre>
 *
 * @author amos
 * @version $Id: ILinkVoService.java, v 0.1 2018年1月26日 上午11:05:34 amos Exp $
 */
public interface ILinkVoService 
{
	List<LinkVo> findLinkVosbySourceId(String sourceId);

	/**
	 * 
	 * <pre>
	 * 根据ruleid查询
	 * </pre>
	 *
	 * @param id
	 * @return
	 */
	List<LinkVo> findByRuleId(String id);
	
	/**
	 * 
	 * <pre>
	 * 删除
	 * </pre>
	 *
	 * @param id
	 */
	void delLinkVoById(String id);

	void save(LinkVo link);
}
