package com.yeejoin.amos.iot.business.service.intfc;

import com.yeejoin.amos.iot.business.entity.OrgImgRelationships;
import com.yeejoin.amos.iot.business.param.OrgImgParam;
import com.yeejoin.amos.op.core.jpa.IGenericManager;

/**
 * 
 * <pre>
 * service
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: IOrgImgRelationshipsService.java, v 0.1 2018年5月7日 下午1:58:31 as-chenjiajun Exp $
 */
public interface IOrgImgRelationshipsService
{

	/**
	 * 
	 * <pre>
	 * 
	 * </pre>
	 *
	 * @param param
	 */
	void editOrgImg(OrgImgParam param);

	/**
	 * 
	 * <pre>
	 * 获取公司下背景图片（包含图片二进制信息）
	 * </pre>
	 *
	 * @param id
	 * @return
	 */
	OrgImgParam fetchImgsEntity(String id);

	/**
	 * 
	 * <pre>
	 * 获取公司下背景图片（不含图片二进制信息）
	 * </pre>
	 *
	 * @param id
	 * @return
	 */
	OrgImgParam fetchSimpleImgsEntity(String id);

	void save(OrgImgRelationships orgImgRelationships);

}
