package com.yeejoin.amos.iot.business.service.intfc;

import java.util.List;

import com.yeejoin.amos.iot.business.entity.RuleGroup;
import com.yeejoin.amos.op.core.jpa.IGenericManager;

/**
 * 
 * <pre>
 * 规则组Service接口
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: IRuleGroupService.java, v 0.1 2018年4月10日 下午3:54:05 as-chenjiajun Exp $
 */
public interface IRuleGroupService 
{

	/**
	 * <pre>
	 * 根据是否启用查询规则组
	 * </pre>
	 *
	 * @param isUser
	 * @return
	 */
	List<RuleGroup> findAllByIsUser(boolean isUser);

	RuleGroup findOne(String id);
}
