package com.yeejoin.amos.iot.business.service.intfc;

import java.util.List;

import com.yeejoin.amos.iot.business.entity.Connection;
import com.yeejoin.amos.op.core.jpa.IGenericManager;

/**
 * 
 * <pre>
 * 实时监测连线
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: ITopoConnectionService.java, v 0.1 2018年5月29日 下午2:02:45 as-chenjiajun Exp $
 */
public interface ITopoConnectionService
{
	/**
	 * 
	 * <pre>
	 * 删除线路
	 * </pre>
	 *
	 * @param ids
	 */
	void deleteConnections(List<Long> ids);
	
	/**
	 * 
	 * <pre>
	 * 删除连线
	 * </pre>
	 *
	 * @param id
	 */
	void delConnection(Long id);
	
	/**
	 * 
	 * <pre>
	 * 新增或编辑连线
	 * </pre>
	 *
	 * @param connection
	 * @return
	 */
	Long addOrEditConnection(Connection connection);
}
