package com.yeejoin.amos.iot.business.service.intfc;

import java.util.List;

import com.yeejoin.amos.iot.business.entity.Node;
import com.yeejoin.amos.op.core.jpa.IGenericManager;

/**
 * 
 * <pre>
 * 实时监测节点
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: ITopoNodeService.java, v 0.1 2018年5月29日 下午2:02:50 as-chenjiajun Exp $
 */
public interface ITopoNodeService 
{
	/**
	 * 
	 * <pre>
	 * 新增或编辑节点
	 * </pre>
	 *
	 * @param node
	 * @return
	 */
	Long addOrEditNode(Node node);

	/**
	 * 
	 * <pre>
	 * 删除
	 * </pre>
	 *
	 * @param id
	 */
	void delNodeById(Long id);
	
	/**
	 * 
	 * <pre>
	 * 获取设备对应的node节点
	 * </pre>
	 *
	 * @param equipmentId
	 * @return
	 */
	List<Node> findNodByEquipmentId(Long equipmentId);

	void save(Node node);
}
