package com.yeejoin.amos.iot.icmp;

/**
 * ping操作结果
 * 
 * @author as-youjun
 *
 */
public class PingResult {

	/**
	 * 状态
	 */
	private String status;

	/*
	 * 最小延时
	 */
	private Integer minTime;

	/*
	 * 平均延时
	 */
	private Integer avgTime;

	/*
	 * 最大延时
	 */
	private Integer maxTime;

	/**
	 * 发包数
	 * 
	 * @param packets
	 */
	private Integer packets;

	/**
	 * 发出的ICMP包大小
	 */
	private Integer icmpPackSize;

	/**
	 * 丢包率
	 */
	private Double packetLossRate;

	/**
	 * @return the minTime
	 */
	public Integer getMinTime() {
		return minTime;
	}

	/**
	 * @param minTime
	 *            the minTime to set
	 */
	public void setMinTime(Integer minTime) {
		this.minTime = minTime;
	}

	/**
	 * @return the avgTime
	 */
	public Integer getAvgTime() {
		return avgTime;
	}

	/**
	 * @param avgTime
	 *            the avgTime to set
	 */
	public void setAvgTime(Integer avgTime) {
		this.avgTime = avgTime;
	}

	/**
	 * @return the maxTime
	 */
	public Integer getMaxTime() {
		return maxTime;
	}

	/**
	 * @param maxTime
	 *            the maxTime to set
	 */
	public void setMaxTime(Integer maxTime) {
		this.maxTime = maxTime;
	}

	/**
	 * @return the packets
	 */
	public Integer getPackets() {
		return packets;
	}

	/**
	 * @param packets
	 *            the packets to set
	 */
	public void setPackets(Integer packets) {
		this.packets = packets;
	}

	/**
	 * @return the icmpPackSize
	 */
	public Integer getIcmpPackSize() {
		return icmpPackSize;
	}

	/**
	 * @param icmpPackSize
	 *            the icmpPackSize to set
	 */
	public void setIcmpPackSize(Integer icmpPackSize) {
		this.icmpPackSize = icmpPackSize;
	}

	/**
	 * @return the packetLossRate
	 */
	public Double getPacketLossRate() {
		return packetLossRate;
	}

	/**
	 * @param packetLossRate
	 *            the packetLossRate to set
	 */
	public void setPacketLossRate(Double packetLossRate) {
		this.packetLossRate = packetLossRate;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	@Override
	public String toString() {
		return "packetLossRate:" + packetLossRate + ",icmpPackSize:"
				+ icmpPackSize + ",packets:" + packets + ",minTime:" + minTime
				+ ",maxTime:" + maxTime + ",avgTime:" + avgTime;
	}

}
