package com.yeejoin.amos.iot.mongodb.service.intfc;

import com.alibaba.fastjson.JSONObject;
import com.yeejoin.amos.iot.business.param.AlarmPageParam;
import com.yeejoin.amos.iot.core.common.response.CommonPage;
import com.yeejoin.amos.iot.mongodb.MongoCondition;
import com.yeejoin.amos.iot.mongodb.MongoSort;

import java.util.List;

public interface IMetricDataQueryService {

    List<JSONObject> list(String collectionName, List<MongoCondition> conditions,
                          Integer skip, Integer limit, List<MongoSort> sorts);

    JSONObject findOne(String collectionName, List<MongoCondition> conditions);

    Long count(String collectionName, List<MongoCondition> conditions);

    List<JSONObject> statistic(String collectionName, List<MongoCondition> conditions,
                               String statisticType, String groupBy, String sumBy, List<MongoSort> sorts);

    CommonPage alarmPage(AlarmPageParam alarmPageParam);
}
