package com.yeejoin.amos.iot.netty.customer.entity;

import java.util.Date;

public class CustomerData {
	/**
	 * 报文帧头16进制字符串     用来关联设备摸版属性
	 */
	private String sync;
	
	/**
	 * 设备ID
	 */
	private String sourceID;

	/**
	 * 帧类型
	 */
	private byte frameType;

	/**
	 * 标签类型: 1.如果labelType==null，则由sourceID、frameType唯一确定一个能力；
	 * 2.如果labelType！=null，则由sourceID、frameType、labelType唯一确定一个能力
	 */
	private Long command;

	/**
	 * 时间
	 */
	private Date time;

	/**
	 * 一帧数据(json格式)
	 */
	private String frameJson;

	/**
	 * @return the sourceID
	 */
	public String getSourceID() {
		return sourceID;
	}

	/**
	 * @param sourceID
	 *            the sourceID to set
	 */
	public void setSourceID(String sourceID) {
		this.sourceID = sourceID;
	}

	/**
	 * @return the frameType
	 */
	public byte getFrameType() {
		return frameType;
	}

	/**
	 * @param frameType
	 *            the frameType to set
	 */
	public void setFrameType(byte frameType) {
		this.frameType = frameType;
	}

	/**
	 * @return the time
	 */
	public Date getTime() {
		return time;
	}

	/**
	 * @param time
	 *            the time to set
	 */
	public void setTime(Date time) {
		this.time = time;
	}

	/**
	 * @return the frameJson
	 */
	public String getFrameJson() {
		return frameJson;
	}

	/**
	 * @param frameJson
	 *            the frameJson to set
	 */
	public void setFrameJson(String frameJson) {
		this.frameJson = frameJson;
	}

	public String getSync() {
		return sync;
	}

	public void setSync(String sync) {
		this.sync = sync;
	}

	public Long getCommand() {
		return command;
	}

	public void setCommand(Long command) {
		this.command = command;
	}

	@Override
	public String toString() {
		return "CustomerData [sync=" + sync + ", sourceID=" + sourceID + ", frameType=" + frameType + ", command="
				+ command + ", time=" + time + ", frameJson=" + frameJson + "]";
	}

	



}
