package com.yeejoin.amos.iot.netty.gateway;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * 有人网关车库中继采集任务配置
 * @author as-mafeipeng
 *
 */
@Configuration
@Component("usrSamplerTaskConfig")
public class UsrSamplerTaskConfig {
    /**
     * 任务启动延迟时间
     */
    @Value("${usr.sampler.delay}")
    private int delay;
    /**
     * 任务循环执行周期
     */
    @Value("${usr.sampler.period}")
    private int period;
    /**
     * 采集任务参数
     */
    @Value("${usr.sampler.taskParam}")
    private String taskParam;
    
    public int getDelay() {
        return delay;
    }
    public void setDelay(int delay) {
        this.delay = delay;
    }
    public int getPeriod() {
        return period;
    }
    public void setPeriod(int period) {
        this.period = period;
    }
    public String getTaskParam() {
        return taskParam;
    }
    public void setTaskParam(String taskParam) {
        this.taskParam = taskParam;
    }
    
}
