package com.yeejoin.amos.iot.netty.gateway.intfc;

import com.yeejoin.amos.iot.netty.gateway.param.UsrGatewaySampleTaskParam;

/**
 * 有人网关Service接口
 * @author as-mafeipeng
 *
 */
public interface IGatewayService {

    /**
     * 添加有人网关采集任务
     * @param gatewaySampleTaskParam
     */
    void addTask(UsrGatewaySampleTaskParam request);
    
    /**
     * 停止任务
     * @param sourceId
     */
    void stopTask(String sourceId);
}
