package com.yeejoin.amos.iot.netty.vehicle;

import org.apache.log4j.Logger;

import com.yeejoin.amos.iot.business.constants.IotConstant;
import com.yeejoin.amos.iot.business.queue.AlarmDataObj;
import com.yeejoin.amos.iot.business.queue.AlarmDataQueue;
import com.yeejoin.amos.iot.business.queue.ChannelAlarmData;

import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.ChannelInboundHandlerAdapter;

/**
 * 缓存通道助手
 * 
 * @author as-youjun
 *
 */
public class CacheChannelHandler extends ChannelInboundHandlerAdapter {

	@Override
	public void channelRegistered(ChannelHandlerContext ctx) {
		try {
			 super.channelRegistered(ctx);
		} catch (Exception e) {
			Logger.getLogger(this.getClass()).error(e);
		}
	}

	@Override
	public void channelUnregistered(ChannelHandlerContext ctx) {
		try {
			 super.channelUnregistered(ctx);
			 VehicleChannelCache.getInstance().channelUnregister(ctx.channel());
		} catch (Exception e) {
			Logger.getLogger(this.getClass()).error(e);
		}
	}
}
