package com.yeejoin.amos.iot.netty.vehicle.entity;

/**
 * 
 * @author as-youjun
 *
 */
public class GprmcInfo {

	/**
	 * 设备ID
	 */
	private String sourceID;

	/**
	 * 标准时间
	 */
	private String formatTime;

	/**
	 * 日期
	 */
	private String dayTime;

	/**
	 * 定位状态
	 */
	private String status;

	/**
	 * 纬度
	 */
	private String latitude;

	/**
	 * 北半球或南半球指示器（N/S）
	 */
	private String indicatorNS;

	/**
	 * 经度
	 */
	private String longitude;

	/**
	 * 东半球或西半球指示器（E/W）
	 */
	private String indicatorEW;

	/**
	 * 对地速度
	 */
	private String speed;

	/**
	 * 对地方向
	 */
	private String direction;

	/**
	 * 磁极变量
	 */
	private String poleNum;

	/**
	 * 总和检查码
	 */
	private String checkNum;

	/**
	 * 原始字符串信息
	 */
	private String sourceString;

	/**
	 * 原始bytes信息
	 */
	private String sourceBytes;

	public String getFormatTime() {
		return formatTime;
	}

	public void setFormatTime(String formatTime) {
		this.formatTime = formatTime;
	}

	public String getDayTime() {
		return dayTime;
	}

	public void setDayTime(String dayTime) {
		this.dayTime = dayTime;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public String getIndicatorNS() {
		return indicatorNS;
	}

	public void setIndicatorNS(String indicatorNS) {
		this.indicatorNS = indicatorNS;
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getIndicatorEW() {
		return indicatorEW;
	}

	public void setIndicatorEW(String indicatorEW) {
		this.indicatorEW = indicatorEW;
	}

	public String getSpeed() {
		return speed;
	}

	public void setSpeed(String speed) {
		this.speed = speed;
	}

	public String getDirection() {
		return direction;
	}

	public void setDirection(String direction) {
		this.direction = direction;
	}

	public String getPoleNum() {
		return poleNum;
	}

	public void setPoleNum(String poleNum) {
		this.poleNum = poleNum;
	}

	public String getCheckNum() {
		return checkNum;
	}

	public void setCheckNum(String checkNum) {
		this.checkNum = checkNum;
	}

	public String getSourceID() {
		return sourceID;
	}

	public void setSourceID(String sourceID) {
		this.sourceID = sourceID;
	}

	public String getSourceString() {
		return sourceString;
	}

	public void setSourceString(String sourceString) {
		this.sourceString = sourceString;
	}

	public String getSourceBytes() {
		return sourceBytes;
	}

	public void setSourceBytes(String sourceBytes) {
		this.sourceBytes = sourceBytes;
	}

	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("GNSS规格数据信息：").append("标准定位时间：").append(formatTime).append(", 经度：").append(longitude).append(", 纬度：")
				.append(latitude).append(", 定位状态：").append(status).append(", 対地速度：").append(speed).append(", 对地方向：")
				.append(direction).append(", 磁极变量：").append(poleNum).append(", 原始字符串: ").append(sourceString)
				.append(", 原始bytes： ").append(sourceBytes);
		return sb.toString();
	}
}
