/**
 * 
 */
package com.yeejoin.amos.iot.netty.vehicle.entity;

import java.util.Date;

/**
 * 车载终端/亿联云屏等物联网标识数据和采集时间
 * 
 * @author as-youjun
 *
 */
public class VehicleDevice {

	/**
	 * 时间
	 */
	private Date time;

	/**
	 * 设备标识
	 */
	private String sourceId;

	/**
	 * 客户端是否主动断开连接
	 */
	private boolean isClientDisconnect = false;

	public VehicleDevice(Date time, String sourceId) {
		this.time = time;
		this.sourceId = sourceId;
	}

	/**
	 * @return the time
	 */
	public Date getTime() {
		return time;
	}

	/**
	 * @param time
	 *            the time to set
	 */
	public void setTime(Date time) {
		this.time = time;
	}

	/**
	 * @return the sourceId
	 */
	public String getSourceId() {
		return sourceId;
	}

	/**
	 * @param sourceId
	 *            the sourceId to set
	 */
	public void setSourceId(String sourceId) {
		this.sourceId = sourceId;
	}

	/**
	 * @return the isClientDisconnect
	 */
	public boolean isClientDisconnect() {
		return isClientDisconnect;
	}

	/**
	 * @param isClientDisconnect
	 *            the isClientDisconnect to set
	 */
	public void setClientDisconnect(boolean isClientDisconnect) {
		this.isClientDisconnect = isClientDisconnect;
	}

}
