package com.yeejoin.amos.iot.rule.cmd;

/**
 * 
 * <pre>
 * 命令拦截器抽象类
 * </pre>
 *
 * @author HK
 * @version $Id: AbstractCommandInterceptor.java, v 0.1 2017年12月28日 下午6:02:44 HK Exp $
 */
public abstract class AbstractCommandInterceptor implements CommandInterceptor
{
	/**
	 * 下个拦截器
	 */
	protected CommandInterceptor next;

	@Override
	public CommandInterceptor getNext()
	{
		return next;
	}

	@Override
	public void setNext(CommandInterceptor next)
	{
		this.next = next;
	}
}
