/**
 * 
 */
package com.yeejoin.amos.iot.script;

import com.yeejoin.amos.iot.entity.ParseResult;

/**
 * 脚本服务接口
 * 
 * @author as-youjun
 *
 */
public interface IScriptService {

	/**
	 * 解析协议数据
	 * 
	 * @param scriptText
	 * @param args
	 * @return
	 */
	public ParseResult analyze(String scriptText, Object[] args);

	/**
	 * 解析协议数据方法名
	 */
	public static final String PARSE_DATA_METHOD_NAME = "parseData";

}
