/**
 * 
 */
package com.yeejoin.amos.iot.snmp;

/**
 * snmp参数
 * 
 * @author as-youjun
 *
 */
public class SnmpParam {

	/**
	 * ip
	 */
	private String ip;

	/**
	 * 读共同体
	 */
	private String rdComm = "public";

	/**
	 * 写共同体
	 */
	private String wrComm = "private";

	/**
	 * 端口
	 */
	private int port = 161;

	/**
	 * 版本
	 */
	private Integer version;

	/**
	 * oid集合
	 */
	private String[] oids;

	/**
	 * 超时时间(毫秒)
	 */
	private int timeout = 3000;

	/**
	 * 尝试次数
	 */
	private int tryTimes = 3;

	/**
	 * 获取数据最大行数
	 */
	private int maxRows = 1000;

	/**
	 * @return the ip
	 */
	public String getIp() {
		return ip;
	}

	/**
	 * @param ip
	 *            the ip to set
	 */
	public void setIp(String ip) {
		this.ip = ip;
	}

	/**
	 * @return the rdComm
	 */
	public String getRdComm() {
		return rdComm;
	}

	/**
	 * @param rdComm
	 *            the rdComm to set
	 */
	public void setRdComm(String rdComm) {
		this.rdComm = rdComm;
	}

	/**
	 * @return the wrComm
	 */
	public String getWrComm() {
		return wrComm;
	}

	/**
	 * @param wrComm
	 *            the wrComm to set
	 */
	public void setWrComm(String wrComm) {
		this.wrComm = wrComm;
	}

	/**
	 * @return the port
	 */
	public int getPort() {
		return port;
	}

	/**
	 * @param port
	 *            the port to set
	 */
	public void setPort(int port) {
		this.port = port;
	}

	/**
	 * @return the version
	 */
	public Integer getVersion() {
		return version;
	}

	/**
	 * @param version
	 *            the version to set
	 */
	public void setVersion(Integer version) {
		this.version = version;
	}

	/**
	 * @return the oids
	 */
	public String[] getOids() {
		return oids;
	}

	/**
	 * @param oids
	 *            the oids to set
	 */
	public void setOids(String[] oids) {
		this.oids = oids;
	}

	/**
	 * @return the timeout
	 */
	public int getTimeout() {
		return timeout;
	}

	/**
	 * @param timeout
	 *            the timeout to set
	 */
	public void setTimeout(int timeout) {
		this.timeout = timeout;
	}

	/**
	 * @return the tryTimes
	 */
	public int getTryTimes() {
		return tryTimes;
	}

	/**
	 * @param tryTimes
	 *            the tryTimes to set
	 */
	public void setTryTimes(int tryTimes) {
		this.tryTimes = tryTimes;
	}

	/**
	 * @return the maxRows
	 */
	public int getMaxRows() {
		return maxRows;
	}

	/**
	 * @param maxRows
	 *            the maxRows to set
	 */
	public void setMaxRows(int maxRows) {
		this.maxRows = maxRows;
	}

}
