package com.yeejoin.amos.iot.snmp.groovy

import net.sf.json.JSONObject
import org.apache.commons.collections.MapUtils

/**
 * 解析协议数据
 * @param originals
 * @return
 */
public Object parseData(Object[] originals) {
    Map<String, String> resultMap = new HashMap();
    if ((originals != null) && (originals.length > 0) && (originals[0] != null)) {
        System.out.println("enter------");
        Map<String, String> valueMap = (Map<String, String>) originals[0];
        if (MapUtils.isNotEmpty(valueMap)) {
            String sysDescr = valueMap.get(".1.3.6.1.2.1.1.1.0");
            System.out.println("sysDescr=" + sysDescr);
            resultMap.put("sysDescr", sysDescr);
            String sysName = valueMap.get(".1.3.6.1.2.1.1.5.0");
            System.out.println("sysName=" + sysName);
            resultMap.put("sysName", sysName);
            String sysUpTime = valueMap.get(".1.3.6.1.2.1.1.3.0");
            resultMap.put("sysUpTime", sysUpTime);
        }
    }
    return JSONObject.fromObject(resultMap).toString();
}

