package com.yeejoin.amos.iot.snmp.java;

import net.sf.json.JSONObject;
import org.apache.commons.collections.MapUtils;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/**
 * 解析CPU信息
 */
public class ParseCpuInfo {

    /**
     * 解析协议数据
     *
     * @param originals
     * @return
     */
    public Object parseData(Object[] originals) {
        Map<String, Integer> resultMap = new HashMap();
        if ((originals != null) && (originals.length > 0) && (originals[0] != null)) {
//            System.out.println("enter------");
            Map<String, String> valueMap = (Map<String, String>) originals[0];
            Integer sumRate = null;//多个cpu核内存使用率之和
            int cpuCoreNum = 0;//cpu核数量
            if (MapUtils.isNotEmpty(valueMap)) {
                Iterator<String> iterator = valueMap.keySet().iterator();
                while (iterator.hasNext()) {
                    String objectID = iterator.next();
                    String variable = valueMap.get(objectID);
                    System.out.println("ObjectID=" + objectID + ",variable=" + variable);
                    if (sumRate == null) {
                        sumRate = 0;
                    }
                    sumRate += Integer.valueOf(variable);
                    cpuCoreNum++;
                }
                System.out.println("sumRate=" + sumRate + ",cpuCoreNum=" + cpuCoreNum);
                if (sumRate != null && cpuCoreNum > 0) {
                    int cpuRate = sumRate / cpuCoreNum;
                    resultMap.put("cpuRate", cpuRate);
                    System.out.println("cpuRate=" + cpuRate);
                }
            }
        }
        return JSONObject.fromObject(resultMap).toString();
    }

}
