/**
 * 
 */
package com.yeejoin.amos.iot.socket.websocket;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * websocket服务
 * 
 * @author as-youjun
 *
 */
@Service("websocketService")
public class WebsocketService {

	@Autowired
	private WebsocketClient websocketClient;

	/**
	 * 发送消息
	 * 
	 * @param message
	 */
	public void sendMessage(CommonMessage message) {
		websocketClient.sendMessage(message);
	}

}
