/**
 * 
 */
package com.yeejoin.amos.iot.socket.websocket.alarm;

/**
 * websocket服务接口
 * 
 * @author as-lichenglong
 *
 */
public interface IAlarmSocketService {

	/**
	 * 向前端推送告警数据
	 * 
	 * @param userId
	 * @param jsonData
	 */
	void sendAlarmDataMessage(Long userId, String jsonData,String target);

	/**
	 * 向所有前端推送告警数据
	 * 
	 * @param jsonData
	 */
	void sendAlarmDataMessage(String jsonData,String target);

}
