/**
 * 
 */
package com.yeejoin.amos.iot.socket.websocket.service;

import java.util.HashMap;
import java.util.List;

/**
 * websocket服务接口
 * 
 * @author as-youjun
 *
 */
public interface IWebSocketService {

	/**
	 * 向前端推送指标数据
	 * 
	 * @param subGraphIds
	 * @param jsonData
	 */
	void sendMetricDataMessage(List<Long> subGraphIds, String jsonData,String target);

	/**
	 * 向前端推送指标数据
	 * 
	 * @param userId
	 * @param jsonData
	 */
	void sendMetricDataMessage(Long userId, String jsonData,String target);

	/**
	 * 向所有前端推送指标数据
	 * 
	 * @param jsonData
	 */
	void sendMetricDataMessage(String jsonData,String target);

	void sendMetricDataMessage(HashMap<String, Object> message);
}
