package com.yeejoin.amos.iot.test;

import com.adventnet.snmp.snmp2.SnmpVarBind;
import com.yeejoin.amos.iot.snmp.SnmpOpDevice;
import com.yeejoin.amos.iot.snmp.SnmpParam;
import com.yeejoin.amos.iot.snmp.SnmpVersion;
import com.yeejoin.amos.iot.snmp.java.ParseCpuInfo;
import com.yeejoin.amos.iot.snmp.java.ParseMemInfo;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.lang.ArrayUtils;

import java.util.HashMap;
import java.util.Map;

public class TestMemInfo {

    public static void main(String[] args) {
        SnmpParam snmpParam = new SnmpParam();
        snmpParam.setIp("172.16.3.63");
        snmpParam.setPort(161);
        snmpParam.setVersion(SnmpVersion.V2C.getValue());
        snmpParam.setRdComm("public");
        // String[] oids = new String[] { ".1.3.6.1.2.1.1" };//主机基础信息
//		 String[] oids = new String[] { ".1.3.6.1.2.1.25.3.3.1.2" };//CPU
        String[] oids = new String[] { ".1.3.6.1.2.1.25.2.3.1.3", ".1.3.6.1.2.1.25.2.3.1.4", ".1.3.6.1.2.1.25.2.3.1.5",
                ".1.3.6.1.2.1.25.2.3.1.6" };// 内存
//		String[] oids = new String[] { ".1.3.6.1.2.1.1.1", ".1.3.6.1.2.1.1.3",
//		".1.3.6.1.2.1.1.5" };
        snmpParam.setOids(oids);
        SnmpVarBind[][] snmpvarbindss = SnmpOpDevice.snmpGetAllVariableBindings(snmpParam);
        Map<String, String> valueMap = new HashMap<>();
        if(ArrayUtils.isEmpty(snmpvarbindss)){
            //
        }else{
            for(SnmpVarBind[] svbs: snmpvarbindss){
                if(ArrayUtils.isEmpty(svbs)){
                    continue;
                }
                for(SnmpVarBind svb: svbs){
                    valueMap.put(svb.getObjectID().toString(), svb.getVariable().toString());
                }
            }
        }
        ParseMemInfo parseMemInfo = new ParseMemInfo();
        Object[] originals = new Object[]{valueMap};
        parseMemInfo.parseData(originals);

    }

}
