package com.yeejoin.amos.iot.test;

import groovy.lang.GroovyShell;
import groovy.lang.Script;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

import com.yeejoin.amos.iot.business.polling.PollingResult;
import com.yeejoin.amos.iot.snmp.SnmpCollectService;
import com.yeejoin.amos.iot.snmp.SnmpVersion;

public class TestSnmpBasicInfo {

	public static void main(String[] args) {
		SnmpCollectService snmpCollectService = new SnmpCollectService();
		Map<String, Object> paramMap = new HashMap<String, Object>();
		paramMap.put("ip", "172.16.3.5");
		paramMap.put("port", 161);
		paramMap.put("rdCom", "public");
		paramMap.put("version", SnmpVersion.V2C.getValue());
		paramMap.put("timeout", 1000);
		paramMap.put("trytimes", 1);
		paramMap.put("oids", ".1.3.6.1.2.1.1.1,.1.3.6.1.2.1.1.3,.1.3.6.1.2.1.1.5");
		PollingResult pollingResult = snmpCollectService.fetchSnmpData(paramMap);
		System.out.println(pollingResult.getResult());
		Object[] originals = new Object[] { pollingResult.getResult() };
		try {
			GroovyShell shell = new GroovyShell();
			File file = new File(
					"E:\\workspaces\\iot\\YeeAMOSIotRoot\\YeeAMOSIotServer\\src\\main\\java\\com\\yeejoin\\amos\\iot\\snmp\\groovy\\ParseSnmpBasicInfo.groovy");
			Script groovyScript = shell.parse(file);
			Object result = groovyScript.invokeMethod("parseData", originals);
			System.out.println(result);
		} catch (Exception e) {
			System.out.println(e);
		}
	}

}
