/**
 * 
 */
package com.yeejoin.amos.iot.business.controller.param;

import java.util.Map;

import com.yeejoin.amos.iot.business.entity.Equipment;

/**
 * 设备测试参数
 * 
 * @author as-youjun
 *
 */
public class TestEqpParam {

	/**
	 * 基本信息
	 */
	private Equipment basicInfo;

	/**
	 * 配置数据
	 */
	private Map<String, Object> propertyMap;

	/**
	 * 监测方式/周期
	 */
	private Map<String, Object> taskParam;

	/**
	 * @return the basicInfo
	 */
	public Equipment getBasicInfo() {
		return basicInfo;
	}

	/**
	 * @param basicInfo
	 *            the basicInfo to set
	 */
	public void setBasicInfo(Equipment basicInfo) {
		this.basicInfo = basicInfo;
	}

	/**
	 * @return the propertyMap
	 */
	public Map<String, Object> getPropertyMap() {
		return propertyMap;
	}

	/**
	 * @param propertyMap
	 *            the propertyMap to set
	 */
	public void setPropertyMap(Map<String, Object> propertyMap) {
		this.propertyMap = propertyMap;
	}

	/**
	 * @return the taskParam
	 */
	public Map<String, Object> getTaskParam() {
		return taskParam;
	}

	/**
	 * @param taskParam
	 *            the taskParam to set
	 */
	public void setTaskParam(Map<String, Object> taskParam) {
		this.taskParam = taskParam;
	}

}
