package com.yeejoin.amos.iot.business.dao.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <pre>
 * 任务管理操作mapper接口
 * </pre>
 *
 * @author as-xuwei
 * @version $Id: MonitorRuleMapper.java, v 0.1 2018年03月09日 上午11:52:39 as-xuwei Exp $
 */
@Mapper
public interface AlarmMapper {

    /**
     * 根据告警id消除告警信息
     *
     * @param map
     * @return
     */
    void eliminateAlarmByIds(Map<String, Object> map);

    /**
     * 根据告警id清除告警信息
     *
     * @param map
     * @return
     */
    void deleteAlarmByIds(Map<String, Object> map);

    Map<String, Object> alarmStaticByStatus(String orgCode);

    List<HashMap<String, Object>> queryAlarmByEquipAttr(HashMap<String, Object> attrName);
}
