package com.yeejoin.amos.iot.business.dao.mapper;

import com.yeejoin.amos.iot.business.entity.EqpTmplAttribute;
import com.yeejoin.amos.iot.business.entity.mybatis.EqpTmplAttributeBo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备基础参数
 *
 * @author as-xukaiqiang
 */
@Mapper
public interface EqpTmplAttrMapper {

    /**
     * 根据模板编号获取指定字段集合
     */
    List<EqpTmplAttributeBo> listByNameAndEqpTmplIds(@Param(value = "name") String name, @Param(value = "eqpTmplIds") List<Long> eqpTmplIds);

    /**
     * 根据模板编号获取指定字段集合
     */
    List<EqpTmplAttributeBo> listByEqpTmplId(@Param(value = "eqpTmplId") Long eqpTmplId);

    List<EqpTmplAttribute> findAllByEqpTmplId(@Param(value = "id") Long id);
}
