package com.yeejoin.amos.iot.business.dao.mapper;

import com.yeejoin.amos.iot.business.entity.EquipmentTemplate;
import com.yeejoin.amos.iot.business.entity.mybatis.EqpTmplAttributeBo;
import com.yeejoin.amos.iot.business.entity.mybatis.EquipmentTemplateVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

/**
 * 设备模板基础参数
 *
 * @author as-xukaiqiang
 */
@Mapper
public interface EqpTmplMapper {

    /**
     * 根据模板编号获取指定字段集合
     */
    List<EquipmentTemplateVo> getByModel(String name);

    List<EquipmentTemplate> findAll(HashMap<String, Object> param);
}
