package com.yeejoin.amos.iot.business.dao.repository;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

import com.yeejoin.amos.iot.business.entity.Connection;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * 
 * <pre>
 * 连接dao
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: IConnectionDao.java, v 0.1 2018年3月8日 下午1:43:38 as-chenjiajun Exp $
 */
public interface IConnectionDao extends BaseDao<Connection, Long>
{
	@Modifying
	@Transactional
	@Query("UPDATE Connection SET is_delete = 1 WHERE id = ?1")
	void delConnectionById(Long id);
}
