package com.yeejoin.amos.iot.business.dao.repository;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.yeejoin.amos.iot.business.entity.Intfc;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * 接口管理dao
 * 
 * @author as-youjun
 *
 */
@Repository("intfcDao")
public interface IIntfcDao extends BaseDao<Intfc, Long> {
	@Modifying
	@Transactional
	@Query("UPDATE Intfc SET is_delete = 1 WHERE id = ?1")
	void delIntfcById(Long id);
}
