package com.yeejoin.amos.iot.business.dao.repository;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.yeejoin.amos.iot.business.entity.OrgImgRelationships;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * 
 * <pre>
 * dao
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: IOrgImgRelationshipsDao.java, v 0.1 2018年5月7日 下午1:57:08 as-chenjiajun Exp $
 */
@Repository
public interface IOrgImgRelationshipsDao extends BaseDao<OrgImgRelationships,Long>
{
	@Modifying
	@Transactional
	@Query("UPDATE OrgImgRelationships SET is_delete = 1 WHERE id = ?1")
	void delOrgImgRelationshipsById(Long id);
}
