package com.yeejoin.amos.iot.business.dao.repository;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

import com.yeejoin.amos.iot.business.entity.Rule;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * 
 * <pre>
 * 规则dao
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: IRuleDao.java, v 0.1 2018年4月10日 下午3:50:41 as-chenjiajun Exp $
 */
public interface IRuleDao extends BaseDao<Rule, String>
{
	@Modifying
	@Transactional
	@Query("UPDATE Rule SET is_delete = 1 WHERE id = ?1")
	void delRuleById(String id);
}
