package com.yeejoin.amos.iot.business.dao.repository;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.yeejoin.amos.iot.business.entity.RuleEmail;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * 
 * <pre>
 * 规则视图中email信息dao
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: IRuleEmailDao.java, v 0.1 2018年4月10日 下午3:29:51 as-chenjiajun Exp $
 */
@Repository
public interface IRuleEmailDao extends BaseDao<RuleEmail,String>
{
	@Modifying
	@Transactional
	@Query("UPDATE RuleEmail SET is_delete = 1 WHERE id = ?1")
	void delRuleEmailById(String id);
}
