package com.yeejoin.amos.iot.business.dao.repository;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.yeejoin.amos.iot.business.entity.RuleMqtt;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * 
 * <pre>
 * 规则视图中mqtt信息dao
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: IRuleMqttDao.java, v 0.1 2018年5月4日 下午2:29:52 as-guowubin Exp $
 */
@Repository
public interface IRuleMqttDao extends BaseDao<RuleMqtt,String>
{
	@Modifying
	@Transactional
	@Query("UPDATE RuleMqtt SET is_delete = 1 WHERE id = ?1")
	void delRuleMqttById(String id);
}
