package com.yeejoin.amos.iot.business.dao.repository;

import org.springframework.stereotype.Repository;

import com.yeejoin.amos.iot.business.entity.Verticle;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * verticledao
 * 
 * @author as-youjun
 *
 */
@Repository("verticleDao")
public interface IVerticleDao extends BaseDao<Verticle, Long> {

	/**
	 * 查询包名对应的verticle
	 * 
	 * @param name
	 * @return
	 */
	Verticle findByName(String name);

}
