package com.yeejoin.amos.iot.business.dic;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;

import com.yeejoin.amos.iot.business.entity.Dic;

/**
 * 通讯方式数据字典
 * 
 * @author as-youjun
 *
 */
@Entity
@DiscriminatorValue("CommunityProtocol")
public class CommunityProtocol extends Dic {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2326119923735983883L;

	/**
	 * String：001表示Serial;002表示HTTP；003表示MQTT;004表示CoAP;005表示AMQP;006表示JMS；007表示ZigBee;008表示Kafka;009表示TCP;010表示STOMP;011表示XMPP
	 * 
	 */

	public static final String SERIAL = "001";

	public static final String HTTP = "002";

	public static final String MQTT = "003";

	public static final String COAP = "004";

	public static final String AMQP = "005";

	public static final String JMS = "006";

	public static final String ZIGBEE = "007";

	public static final String KAFKA = "008";

	public static final String TCP = "009";

	public static final String STOMP = "010";

	public static final String XMPP = "011";

}
