/**
 *
 */
package com.yeejoin.amos.iot.business.dic;

import com.yeejoin.amos.iot.business.constants.IotConstant;
import com.yeejoin.amos.iot.netty.vehicle.dic.VehicleDic.CommonDic;
import org.apache.log4j.Logger;

/**
 * 数据字典
 *
 * @author as-youjun
 */
public final class IotDic {

    private IotDic() {
        Logger.getLogger(CommonDic.class).debug(IotConstant.CONSTRUCTOR);
    }

    /**
     * 设备状态
     *
     * @author as-youjun
     */
    public static final class EqpStatus {

        /**
         * 在线
         */
        public static final String ONLINE = "在线";

        /**
         * 离线
         */
        public static final String OFLINE = "离线";

    }

    /**
     * 协议名称
     *
     * @author as-youjun
     */
    public static final class ProtocolName {

        /**
         * TCP
         */
        public static final String TCP = "TCP";

        /**
         * ICMP
         */
        public static final String ICMP = "ICMP";

        /**
         * SNMP
         */
        public static final String SNMP = "SNMP";

    }

}
