package com.yeejoin.amos.iot.business.dic;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;

import com.yeejoin.amos.iot.business.entity.Dic;

/**
 * 协议解析脚本语言数据字典
 * 
 * @author as-youjun
 *
 */
@Entity
@DiscriminatorValue("ScriptLang")
public class ScriptLang extends Dic {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6850799852470282844L;

	/**
	 * String：01表示groovy;02表示javascript;03表示lua;04表示python
	 */

	public static final String GROOVY = "01";

	public static final String JAVASCRIPT = "02";

	public static final String LUA = "03";

	public static final String PYTHON = "04";

}
