package com.yeejoin.amos.iot.business.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.annotations.Where;

/**
 * 
 * <pre>
 * 设备能力属性上下限表
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: EqpCpblProperty.java, v 0.1 2018年7月12日 上午9:12:21 as-chenjiajun Exp $
 */
@Entity
@Table(name = "t_eqp_cpbl_property")
@Where(clause = "is_delete=0")
public class EqpCpblProperty extends TimeEntity
{

	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = 5645450797576101591L;
	
	/**
	 * 设备id
	 */
	private Long eqpId;

	/**
	 * 能力id
	 */
	private Long cpblId;
	
	/**
	 * 能力属性id
	 */
	private Long cpblPropertyId;
	
	/**
	 * 最小值
	 */
	private Double minValue;

	/**
	 * 最大值
	 */
	private Double maxValue;

	@Column(name = "eqp_id", nullable = false)
	public Long getEqpId()
	{
		return eqpId;
	}

	public void setEqpId(Long eqpId)
	{
		this.eqpId = eqpId;
	}

	@Column(name = "cpbl_id", nullable = false)
	public Long getCpblId()
	{
		return cpblId;
	}

	public void setCpblId(Long cpblId)
	{
		this.cpblId = cpblId;
	}

	@Column(name = "cpbl_property_id", nullable = false)
	public Long getCpblPropertyId()
	{
		return cpblPropertyId;
	}

	public void setCpblPropertyId(Long cpblPropertyId)
	{
		this.cpblPropertyId = cpblPropertyId;
	}

	@Column(name = "min_value")
	public Double getMinValue()
	{
		return minValue;
	}

	public void setMinValue(Double minValue)
	{
		this.minValue = minValue;
	}

	@Column(name = "max_value")
	public Double getMaxValue()
	{
		return maxValue;
	}

	public void setMaxValue(Double maxValue)
	{
		this.maxValue = maxValue;
	}
}
