/**
 * 
 */
package com.yeejoin.amos.iot.business.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.annotations.Where;

/**
 * 设备模板与接口关联关系
 * 
 * @author as-youjun
 *
 */
@Entity
@Table(name = "t_eqp_tmpl_intfc")
@Where(clause="is_delete=0")//表示未删除的数据
public class EqpTmplInterface extends BasicEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6989889651928071549L;

	/**
	 * 设备模板id
	 */
	private Long eqpTmplId;

	/**
	 * 接口id
	 */
	private Long intfcId;
	
	/**
	 * 接口方向
	 */
	private Integer intfcDirection;

	@Column(name = "eqp_tmpl_id", nullable = false)
	public Long getEqpTmplId() {
		return eqpTmplId;
	}

	public void setEqpTmplId(Long eqpTmplId) {
		this.eqpTmplId = eqpTmplId;
	}

	@Column(name = "intfc_id", nullable = false)
	public Long getIntfcId() {
		return intfcId;
	}

	public void setIntfcId(Long intfcId) {
		this.intfcId = intfcId;
	}

	@Column(name = "intfc_direction")
	public Integer getIntfcDirection()
	{
		return intfcDirection;
	}

	public void setIntfcDirection(Integer intfcDirection)
	{
		this.intfcDirection = intfcDirection;
	}
}
