package com.yeejoin.amos.iot.business.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.annotations.Where;

/**
 * 
 * <pre>
 * 视图节点元素
 * </pre>
 *
 * @author AS-guowubin
 * @version $Id: NodeVo.java, v 0.1 2018年4月10日 上午10:36:22 AS-guowubin Exp $
 */
@Entity
@Table(name = "t_rm_nodevo")
@Where(clause="is_delete=0")//表示未删除的数据
public class NodeVo extends RuleElement
{

	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = -3678875083832176741L;
	

	/**
	 * 元素位置的x
	 */
	@Column(name = "x")
	private int x;
	
	/**
	 * 元素位置的y
	 */
	@Column(name = "y")
	private int y;
	
	/**
	 * 备注
	 */
	@Column(name = "remark")
	private String remark;

	public int getX()
	{
		return x;
	}

	public void setX(int x)
	{
		this.x = x;
	}

	public int getY()
	{
		return y;
	}

	public void setY(int y)
	{
		this.y = y;
	}

	public String getRemark()
	{
		return remark;
	}

	public void setRemark(String remark)
	{
		this.remark = remark;
	}
	
	
}
 