package com.yeejoin.amos.iot.business.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;


/**
 * 
 * <pre>
 * 规则视图节点注解对象
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: RuleNode.java, v 0.1 2018年4月23日 下午2:56:53 as-guowubin Exp $
 */
@Entity
@Table(name = "t_rm_rulenode")
public class RuleNode implements Serializable
{
	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = -8020991489895161325L;

	@Id
	@Column(name = "id", nullable = false, length = 36)
	protected String id;
	/**
	 * 显示名
	 */
	@Column(name = "display_name")
	private String displayName;
	/**
	 * 名称
	 */
	@Column(name = "name")
	private String name;
	/**
	 * 值
	 */
	@Column(name = "value")
	private String value;
	/**
	 * 图标
	 */
	@Column(name = "icon")
	private String icon;
	/**
	 * 类型
	 */
	@Column(name = "type")
	private String type;
	/**
	 * 父节点
	 */
	@Column(name = "parent_id")
	private String parentId;
	
	public String getId()
	{
		return id;
	}
	public void setId(String id)
	{
		this.id = id;
	}
	public String getDisplayName()
	{
		return displayName;
	}
	public void setDisplayName(String displayName)
	{
		this.displayName = displayName;
	}
	public String getName()
	{
		return name;
	}
	public void setName(String name)
	{
		this.name = name;
	}
	public String getValue()
	{
		return value;
	}
	public void setValue(String value)
	{
		this.value = value;
	}
	public String getIcon()
	{
		return icon;
	}
	public void setIcon(String icon)
	{
		this.icon = icon;
	}
	public String getType()
	{
		return type;
	}
	public void setType(String type)
	{
		this.type = type;
	}
	public String getParentId()
	{
		return parentId;
	}
	public void setParentId(String parentId)
	{
		this.parentId = parentId;
	}
	
	
}
 