package com.yeejoin.amos.iot.business.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.annotations.Where;

/**
 * 
 * <pre>
 * 组件
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: Section.java, v 0.1 2018年6月27日 下午1:31:23 as-chenjiajun Exp $
 */
@Entity
@Table(name = "t_section")
@Where(clause = "is_delete=0")
public class Section extends TimeEntity
{

	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = 101657766734743517L;
	
	/**
	 * 名称
	 */
	private String name;
	
	/**
	 * 描述
	 */
	private String descr;
	
	/**
	 * 评分
	 */
	private Float rateValue;
	
	/**
	 * 图片名
	 */
	private String imgName;
	
	/**
	 * 安装次数
	 */
	private Integer installTimes;
	
	/**
	 * 用户id
	 */
	private String userId;
	
	/**
	 * company对象code
	 */
	private String orgCode;
	
	/**
	 * 是否推荐
	 */
	private Boolean isRecommend;
	
	/**
	 * 分类：高级应用:1
	 */
	private Integer type;
	
	/**
	 * 收费或免费
	 */
	private Boolean isFree;
	
	/**
	 * companyName
	 */
	private String companyName;

	@Column(name = "name", length = 100)
	public String getName()
	{
		return name;
	}

	public void setName(String name)
	{
		this.name = name;
	}

	@Column(name = "descr", length = 512)
	public String getDescr()
	{
		return descr;
	}

	public void setDescr(String descr)
	{
		this.descr = descr;
	}

	@Column(name = "rate_value")
	public Float getRateValue()
	{
		return rateValue;
	}

	public void setRateValue(Float rateValue)
	{
		this.rateValue = rateValue;
	}

	@Column(name = "img_Name", length = 100)
	public String getImgName()
	{
		return imgName;
	}

	public void setImgName(String imgName)
	{
		this.imgName = imgName;
	}

	@Column(name = "install_times")
	public Integer getInstallTimes()
	{
		return installTimes;
	}

	public void setInstallTimes(Integer installTimes)
	{
		this.installTimes = installTimes;
	}

	@Column(name = "is_recommend")
	public Boolean getIsRecommend()
	{
		return isRecommend;
	}

	public void setIsRecommend(Boolean isRecommend)
	{
		this.isRecommend = isRecommend;
	}

	@Column(name = "type")
	public Integer getType()
	{
		return type;
	}

	public void setType(Integer type)
	{
		this.type = type;
	}
	@Column(name = "org_code", length = 100)
	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	@Column(name = "user_id")
	public String getUserId()
	{
		return userId;
	}

	public void setUserId(String userId)
	{
		this.userId = userId;
	}

	@Column(name = "is_free")
	public Boolean getIsFree()
	{
		return isFree;
	}

	public void setIsFree(Boolean isFree)
	{
		this.isFree = isFree;
	}

	@Column(name = "company_name", length = 100)
	public String getCompanyName()
	{
		return companyName;
	}

	public void setCompanyName(String companyName)
	{
		this.companyName = companyName;
	}
}
