/**
 * 
 */
package com.yeejoin.amos.iot.business.entity;

import javax.persistence.Column;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.Inheritance;
import javax.persistence.Table;

/**
 * 告警解决知识数据字典
 * 
 * @author as-youjun
 *
 */
@Entity
@Inheritance
@Table(name = "t_solution_dic")
@DiscriminatorColumn(name = "type", length = 100)
@DiscriminatorValue("SolutionDictionary")
public class SolutionDictionary extends BasicEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2885010225818075789L;

	/**
	 * 名称
	 */
	private String name;

	/**
	 * 内容
	 */
	private String content;

	@Column(name = "name", length = 100, nullable = false)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Column(name = "content", length = 512, nullable = false)
	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

}
