/**
 * 
 */
package com.yeejoin.amos.iot.business.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 资源与设备的关联关系
 * 
 * @author as-youjun
 *
 */
@Entity
@Table(name = "t_subv_eqp")
public class SubviewEquipment extends BasicEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8351552816711560028L;

	/**
	 * 子图id
	 */
	private Long subvId;

	/**
	 * 装备id
	 */
	private Long eqpId;

	@Column(name = "subv_id", nullable = false)
	public Long getSubvId() {
		return subvId;
	}

	public void setSubvId(Long subvId) {
		this.subvId = subvId;
	}

	@Column(name = "eqp_id", nullable = false)
	public Long getEqpId() {
		return eqpId;
	}

	public void setEqpId(Long eqpId) {
		this.eqpId = eqpId;
	}

}
