package com.yeejoin.amos.iot.business.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.MappedSuperclass;

/**
 * 包含创建时间和更新时间的实体类
 * 
 * @author as-youjun
 *
 */
@MappedSuperclass
public class TimeEntity extends BasicEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3257977873125101434L;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	@Column(name = "create_time")
	public Date getCreateTime()
	{
		return createTime;
	}

	public void setCreateTime(Date createTime)
	{
		this.createTime = createTime;
	}

	@Column(name = "update_time")
	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

}
