/**
 * 
 */
package com.yeejoin.amos.iot.business.entity.mybatis;

import java.io.Serializable;

/**
 * 数据分析中需要的设备对象
 * 
 * @author as-李成龙
 *
 */

public class EquipmentAnBo implements Serializable{
	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public EquipmentAnBo(){}
	public EquipmentAnBo(String id, String eqpTmplId, String name, String model, String type,String industryId) {
		super();
		this.id = id;
		this.eqpTmplId = eqpTmplId;
		this.name = name;
		this.model = model;
		this.type = type;
		this.industryId = industryId;
	}
	/**
	 * 设备id
	 */
	private String id;

	/**
	 * 装备模板id
	 */
	private String eqpTmplId;

	/**
	 * 设备名称
	 */
	private String name;

	/**
	 * 设备型号
	 */
	private String model;

	/**
	 * 设备类别：1表示采集设备，2表示传感设备，3表示控制设备
	 */
	private String type;
	private String industryId;

	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getEqpTmplId() {
		return eqpTmplId;
	}
	public void setEqpTmplId(String eqpTmplId) {
		this.eqpTmplId = eqpTmplId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getModel() {
		return model;
	}
	public void setModel(String model) {
		this.model = model;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getIndustryId() {
		return industryId;
	}
	public void setIndustryId(String industryId) {
		this.industryId = industryId;
	}

}
