/**
 * 
 */
package com.yeejoin.amos.iot.business.entity.mybatis;

/**
 * 接口属性
 * 
 * @author as-youjun
 *
 */
public class IntfcAttrBo {

	/**
	 * 接口属性id
	 */
	private Long id;

	/**
	 * 接口id
	 */
	private Long intfcId;

	/**
	 * 属性名称(英文、数字、下划线)
	 */
	private String name;

	/**
	 * 属性分类：1表示变量，2表示常量，3表示标签
	 */
	private Integer type;

	/**
	 * 显示名称
	 */
	private String displayName;

	/**
	 * 计量单位
	 */
	private String unit;

	/**
	 * 描述
	 */
	private String descr;

	/**
	 * 数据类型：1表示整型，2表示浮点型，3表示布尔型，4表示枚举，5表示字符串，6表示密码
	 */
	private Integer dataType;

	/**
	 * 字符串值
	 */
	private String valueStr;

	/**
	 * 数值型值
	 */
	private Double valueNumeric;

	/**
	 * 最小值
	 */
	private Double minValue;

	/**
	 * 最大值
	 */
	private Double maxValue;

	/**
	 * 枚举范围，使用逗号分隔
	 */
	private String enumRange;

	/**
	 * float/double类型精度
	 */
	private Integer precision;

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the intfcId
	 */
	public Long getIntfcId() {
		return intfcId;
	}

	/**
	 * @param intfcId
	 *            the intfcId to set
	 */
	public void setIntfcId(Long intfcId) {
		this.intfcId = intfcId;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the type
	 */
	public Integer getType() {
		return type;
	}

	/**
	 * @param type
	 *            the type to set
	 */
	public void setType(Integer type) {
		this.type = type;
	}

	/**
	 * @return the displayName
	 */
	public String getDisplayName() {
		return displayName;
	}

	/**
	 * @param displayName
	 *            the displayName to set
	 */
	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	/**
	 * @return the unit
	 */
	public String getUnit() {
		return unit;
	}

	/**
	 * @param unit
	 *            the unit to set
	 */
	public void setUnit(String unit) {
		this.unit = unit;
	}

	/**
	 * @return the descr
	 */
	public String getDescr() {
		return descr;
	}

	/**
	 * @param descr
	 *            the descr to set
	 */
	public void setDescr(String descr) {
		this.descr = descr;
	}

	/**
	 * @return the dataType
	 */
	public Integer getDataType() {
		return dataType;
	}

	/**
	 * @param dataType
	 *            the dataType to set
	 */
	public void setDataType(Integer dataType) {
		this.dataType = dataType;
	}

	/**
	 * @return the valueStr
	 */
	public String getValueStr() {
		return valueStr;
	}

	/**
	 * @param valueStr
	 *            the valueStr to set
	 */
	public void setValueStr(String valueStr) {
		this.valueStr = valueStr;
	}

	/**
	 * @return the valueNumeric
	 */
	public Double getValueNumeric() {
		return valueNumeric;
	}

	/**
	 * @param valueNumeric
	 *            the valueNumeric to set
	 */
	public void setValueNumeric(Double valueNumeric) {
		this.valueNumeric = valueNumeric;
	}

	/**
	 * @return the minValue
	 */
	public Double getMinValue() {
		return minValue;
	}

	/**
	 * @param minValue
	 *            the minValue to set
	 */
	public void setMinValue(Double minValue) {
		this.minValue = minValue;
	}

	/**
	 * @return the maxValue
	 */
	public Double getMaxValue() {
		return maxValue;
	}

	/**
	 * @param maxValue
	 *            the maxValue to set
	 */
	public void setMaxValue(Double maxValue) {
		this.maxValue = maxValue;
	}

	/**
	 * @return the enumRange
	 */
	public String getEnumRange() {
		return enumRange;
	}

	/**
	 * @param enumRange
	 *            the enumRange to set
	 */
	public void setEnumRange(String enumRange) {
		this.enumRange = enumRange;
	}

	/**
	 * @return the precision
	 */
	public Integer getPrecision() {
		return precision;
	}

	/**
	 * @param precision
	 *            the precision to set
	 */
	public void setPrecision(Integer precision) {
		this.precision = precision;
	}

}
