/**
 *
 */
package com.yeejoin.amos.iot.business.entity.mybatis;

import com.yeejoin.amos.iot.business.entity.IntfcAttribute;
import org.apache.log4j.Logger;

import java.io.Serializable;
import java.util.List;

/**
 * 接口bo
 *
 * @author as-youjun
 */
public class IntfcBo implements Serializable, Cloneable {

    /**
     * 日志记录器
     */
    private static final Logger logger = Logger
            .getLogger(IntfcBo.class);

    /**
     * ID
     */
    private Long id;

    /**
     * 能力ID
     */
    private Long cpblId;

    /**
     * 设备模板ID
     */
    private Long eqpTmplId;

    /**
     * 接口名称
     */
    private String name;

    /**
     * 通信方式字典id
     */
    private Long commId;

    /**
     * 通信方式
     */
    private String commMode;

    /**
     * 通信方式名称
     */
    private String commName;

    /**
     * 接口属性
     */
    private List<IntfcAttribute> intfcAttrs;

    /**
     * @return the cpblId
     */
    public Long getCpblId() {
        return cpblId;
    }

    /**
     * @param cpblId the cpblId to set
     */
    public void setCpblId(Long cpblId) {
        this.cpblId = cpblId;
    }

    /**
     * @return the eqpTmplId
     */
    public Long getEqpTmplId() {
        return eqpTmplId;
    }

    /**
     * @param eqpTmplId the eqpTmplId to set
     */
    public void setEqpTmplId(Long eqpTmplId) {
        this.eqpTmplId = eqpTmplId;
    }

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    public Long getCommId() {
        return commId;
    }

    public void setCommId(Long commId) {
        this.commId = commId;
    }

    /**
     * @return the commMode
     */
    public String getCommMode() {
        return commMode;
    }

    /**
     * @param commMode the commMode to set
     */
    public void setCommMode(String commMode) {
        this.commMode = commMode;
    }

    public String getCommName() {
        return commName;
    }

    public void setCommName(String commName) {
        this.commName = commName;
    }

    /**
     * @return the intfcAttrs
     */
    public List<IntfcAttribute> getIntfcAttrs() {
        return intfcAttrs;
    }

    /**
     * @param intfcAttrs the intfcAttrs to set
     */
    public void setIntfcAttrs(List<IntfcAttribute> intfcAttrs) {
        this.intfcAttrs = intfcAttrs;
    }

    @Override
    public Object clone() {
        IntfcBo newObj = null;
        try {
            newObj = (IntfcBo) super.clone();
        } catch (CloneNotSupportedException e) {
            logger.error(e);
        }
        return newObj;
    }


}
