/**
 * 
 */
package com.yeejoin.amos.iot.business.param;

import com.alibaba.fastjson.JSONObject;
import com.yeejoin.amos.iot.core.common.request.CommonPageable;
import com.yeejoin.amos.iot.core.common.request.CommonRequest;

import java.util.List;

/**
 * 
 * <pre>
 * 设备模板分页查询参数
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: EqpTemplPageParam.java, v 0.1 2018年6月6日 下午6:51:17 as-guowubin Exp $
 */
public class EqpTemplPageParam extends CommonPageable
{

	/**
	 * 设备名称
	 */
	private String name;
	/**
	 * 型号
	 */
	private String model;
	/**
	 * 公司ID
	 */
	private String orgCode;
	/**
	 * 设备模板ID
	 */
	private Long eqpTmplId;

	/**
	 * 	查询设备属性条件
	 */
	private CommonRequest eqpTempAttr;

	private List<CommonRequest> eqpTempAttrs;

	private List<String> needAttr;

	public CommonRequest getEqpTempAttr() {
		return eqpTempAttr;
	}

	public void setEqpTempAttr(CommonRequest eqpTempAttr) {
		this.eqpTempAttr = eqpTempAttr;
	}

	public List<CommonRequest> getEqpTempAttrs() {
		return eqpTempAttrs;
	}

	public void setEqpTempAttrs(List<CommonRequest> eqpTempAttrs) {
		this.eqpTempAttrs = eqpTempAttrs;
	}

	public Long getEqpTmplId() {
		return eqpTmplId;
	}

	public void setEqpTmplId(Long eqpTmplId) {
		this.eqpTmplId = eqpTmplId;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	/**
	 * 设备类别：1表示采集设备，2表示传感设备，3表示控制设备,4其他
	 */
	private Integer type;

	/**
	 * 行业id
	 */
	private Long industryId;

	public String getName()
	{
		return name;
	}

	public void setName(String name)
	{
		this.name = name;
	}

	public String getModel()
	{
		return model;
	}

	public void setModel(String model)
	{
		this.model = model;
	}

	public Integer getType()
	{
		return type;
	}

	public void setType(Integer type)
	{
		this.type = type;
	}

	public Long getIndustryId()
	{
		return industryId;
	}

	public void setIndustryId(Long industryId)
	{
		this.industryId = industryId;
	}

	public List<String> getNeedAttr() {
		return needAttr;
	}

	public void setNeedAttr(List<String> needAttr) {
		this.needAttr = needAttr;
	}
}
