package com.yeejoin.amos.iot.business.param;

import java.io.Serializable;

/**
 * 
 * <pre>
 * 拓扑图节点样式
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: NodeStyle.java, v 0.1 2018年4月20日 下午4:06:29 as-chenjiajun Exp $
 */
public class NodeStyle implements Serializable
{
	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = -6136078354863326761L;
	
	public NodeStyle()
	{
		//接口传参需要默认无参构造
	}
	
	public NodeStyle(int left,int top)
	{
		this.left = left;
		this.top = top;
	}

	/**
	 * 距离左边
	 */
	private int left;
	
	/**
	 * 距离顶部
	 */
	private int top;

	public int getLeft()
	{
		return left;
	}

	public void setLeft(int left)
	{
		this.left = left;
	}

	public int getTop()
	{
		return top;
	}

	public void setTop(int top)
	{
		this.top = top;
	}
}
