package com.yeejoin.amos.iot.business.param;

import java.io.Serializable;

/**
 * 
 * <pre>
 * NodeVo前端对象
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: NodeVoParam.java, v 0.1 2018年4月20日 下午4:08:47 as-chenjiajun Exp $
 */
public class NodeVoParam implements Serializable
{
	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = 5170985067554088201L;
	
	public NodeVoParam()
	{
		//接口传参需要默认无参构造
	}
	
	public NodeVoParam(String id,TopoConfigParam config)
	{
		this.id = id;
		this.config = config;
	}

	/**
	 * id
	 */
	private String id;
	
	/**
	 * 配置信息
	 */
	private TopoConfigParam config;
	
	/**
	 * 规则ID
	 */
	private String ruleId;

	public String getId()
	{
		return id;
	}

	public void setId(String id)
	{
		this.id = id;
	}

	public TopoConfigParam getConfig()
	{
		return config;
	}

	public void setConfig(TopoConfigParam config)
	{
		this.config = config;
	}

	public String getRuleId()
	{
		return ruleId;
	}

	public void setRuleId(String ruleId)
	{
		this.ruleId = ruleId;
	}
}
