package com.yeejoin.amos.iot.business.param;

import java.util.ArrayList;
import java.util.List;

import com.yeejoin.amos.iot.business.entity.LinkVo;
import com.yeejoin.amos.iot.business.entity.Rule;

/**
 * 
 * <pre>
 * 规则部署图信息
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: RuleDataParam.java, v 0.1 2018年4月11日 下午4:18:39 as-chenjiajun Exp $
 */
public class RuleDataParam
{
	/**
	 * id
	 */
	private String id;
	
	/**
	 * 规则信息
	 */
	private Rule rule;
	
	
	/**
	 * 连线
	 */
	private List<LinkVo> linkVoList = new ArrayList<>();;
	
	/**
	 * 节点
	 */
	private List<NodeVoParam> nodeVoList = new ArrayList<>();

	public List<LinkVo> getLinkVoList()
	{
		return linkVoList;
	}

	public void setLinkVoList(List<LinkVo> linkVoList)
	{
		this.linkVoList = linkVoList;
	}

	public List<NodeVoParam> getNodeVoList()
	{
		return nodeVoList;
	}

	public void setNodeVoList(List<NodeVoParam> nodeVoList)
	{
		this.nodeVoList = nodeVoList;
	}

	public String getId()
	{
		return id;
	}

	public void setId(String id)
	{
		this.id = id;
	}

	public Rule getRule()
	{
		return rule;
	}

	public void setRule(Rule rule)
	{
		this.rule = rule;
	}
}
