package com.yeejoin.amos.iot.business.param;

import java.util.List;

import com.yeejoin.amos.iot.business.entity.Connection;
import com.yeejoin.amos.iot.business.entity.Node;

/**
 * 
 * <pre>
 * 子图查询参数
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: SubgraphParam.java, v 0.1 2018年3月8日 下午1:57:34 as-chenjiajun Exp $
 */
public class SubgraphParam
{
	/**
	 * ID
	 */
	private Long id;
	
	/**
	 * 名称
	 */
	private String name;
	
	/**
	 * 父节点key
	 */
	private String parentKey;
	
	/**
	 * 用户ID
	 */
	private String userId;
	
	/**
	 * 公司ID
	 */
	private String orgCode;
	
	/**
	 * 是否管理员
	 */
	private Boolean isDirector;
	
	/**
	 * 当前节点key
	 */
	private String currentKey;
	

	/**
	 * 对应前端的key
	 */
	private String remark;
	
	/**
	 * 连线
	 */
	private List<Connection> connections;
	
	/**
	 * 节点
	 */
	private List<Node> nodes;

	public String getName()
	{
		return name;
	}

	public void setName(String name)
	{
		this.name = name;
	}

	public String getParentKey()
	{
		return parentKey;
	}

	public void setParentKey(String parentKey)
	{
		this.parentKey = parentKey;
	}

	public String getUserId()
	{
		return userId;
	}

	public void setUserId(String userId)
	{
		this.userId = userId;
	}

	public String getCurrentKey()
	{
		return currentKey;
	}

	public void setCurrentKey(String currentKey)
	{
		this.currentKey = currentKey;
	}

	public String getRemark()
	{
		return remark;
	}

	public void setRemark(String remark)
	{
		this.remark = remark;
	}

	public List<Connection> getConnections()
	{
		return connections;
	}

	public void setConnections(List<Connection> connections)
	{
		this.connections = connections;
	}

	public List<Node> getNodes()
	{
		return nodes;
	}

	public void setNodes(List<Node> nodes)
	{
		this.nodes = nodes;
	}

	public Long getId()
	{
		return id;
	}

	public void setId(Long id)
	{
		this.id = id;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public Boolean getIsDirector() {
		return isDirector;
	}

	public void setIsDirector(Boolean isDirector) {
		this.isDirector = isDirector;
	}
	
	
}
