package com.yeejoin.amos.iot.business.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.yeejoin.amos.iot.business.dao.repository.IRuleGroupDao;
import com.yeejoin.amos.iot.business.entity.RuleGroup;
import com.yeejoin.amos.iot.business.service.intfc.IRuleGroupService;
import com.yeejoin.amos.op.core.jpa.GenericManagerImpl;

/**
 * 
 * <pre>
 * 规则组Service实现
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: RuleGroupServiceImpl.java, v 0.1 2018年4月10日 下午3:54:32 as-chenjiajun Exp $
 */
@Service("RuleGroupService")
public class RuleGroupServiceImpl 
implements IRuleGroupService
{	
	@Autowired
	IRuleGroupDao ruleGroupDao;
	
	@Override
	public List<RuleGroup> findAllByIsUser(boolean isUser)
	{
		return ruleGroupDao.findAllByIsUser(isUser);
	}

	@Override
	public RuleGroup findOne(String id) {
		return ruleGroupDao.getOne(id);
	}

}
