package com.yeejoin.amos.iot.business.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.yeejoin.amos.iot.business.dao.repository.IRuleNodeDao;
import com.yeejoin.amos.iot.business.entity.RuleNode;
import com.yeejoin.amos.iot.business.service.intfc.IRuleNodeService;
import com.yeejoin.amos.op.core.jpa.GenericManagerImpl;

/**
 * 
 * <pre>
 * 规则节点元素服务
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: RuleNodeServiceImpl.java, v 0.1 2018年4月24日 下午5:19:22 as-guowubin Exp $
 */
@Service("RuleNodeService")
public class RuleNodeServiceImpl 
implements IRuleNodeService
{
	@Autowired
    IRuleNodeDao ruleNodeDao;

	@Override
	public List<RuleNode> findAll() {
		return ruleNodeDao.findAll();
	}

	@Override
	public RuleNode findOne(String id) {
		return ruleNodeDao.getOne(id);
	}
	
}
