package com.yeejoin.amos.iot.business.service.impl;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.yeejoin.amos.iot.business.dao.repository.ISystemLogDao;
import com.yeejoin.amos.iot.business.entity.SystemLog;
import com.yeejoin.amos.iot.business.service.intfc.ISystemLogService;
import com.yeejoin.amos.op.core.jpa.GenericManagerImpl;
/**
 * 
 * <pre>
 * 系统日志服务实现
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: SystemLogServiceImpl.java, v 0.1 2018年4月23日 下午5:48:41 as-guowubin Exp $
 */
@Service
public class SystemLogServiceImpl 
implements ISystemLogService
{
	@Autowired
	private ISystemLogDao systemLogDao;

	@Override
	public void save(SystemLog systemLog) {
		systemLogDao.save(systemLog);
	}

}
