package com.yeejoin.amos.iot.business.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.yeejoin.amos.iot.business.dao.repository.IEquipmentDao;
import com.yeejoin.amos.iot.business.entity.Equipment;
import com.yeejoin.amos.iot.business.entity.Node;
import com.yeejoin.amos.iot.business.service.intfc.ITopoEquipmentService;
import com.yeejoin.amos.op.core.entity.Resource;
import com.yeejoin.amos.op.core.entity.handler.EntityChangeHandler;
import com.yeejoin.amos.op.core.jpa.GenericManagerImpl;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

/**
 * 
 * <pre>
 * 实时监测设备
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: TopoEquipmentServiceImpl.java, v 0.1 2018年5月29日 下午2:25:37 as-chenjiajun Exp $
 */
@Service
public class TopoEquipmentServiceImpl 
implements ITopoEquipmentService
{
	
	@Autowired
	private IEquipmentDao iEquipmentDao;

	@Override
	public void delEquipmentById(Long equipmentId)
	{
		EntityChangeHandler.fireResourceReomoved(iEquipmentDao.getOne(equipmentId));
		iEquipmentDao.delEquipmentById(equipmentId);
	}
	
//	@Override
	public void fireResourceReomoved(Resource resource)
	{
		if (resource instanceof Node)
		{
//			Node node = (Node)resource;
//			Long equipmentId = node.getEquipmentId();
//			if (equipmentId != null) {
//				delEquipmentById(equipmentId);
//			}
		}
	}

}
