package com.yeejoin.amos.iot.business.service.intfc;

import com.yeejoin.amos.iot.business.entity.CapabilityAttribute;
import com.yeejoin.amos.op.core.jpa.IGenericManager;

import java.util.List;

/**
 * <pre>
 * 能力属性
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: ICapacityTmplPropertyService.java, v 0.1 2018年5月29日 下午5:52:09 as-chenjiajun Exp $
 */
public interface ICapacityPropertyService {
    /**
     * <pre>
     * 删除能力属性
     * </pre>
     *
     * @param id
     */
    void deleteCapacityProperty(Long id);

    List<CapabilityAttribute> findByCapabilityId(Long cpId);

    /**
     * 条件查询能力属性
     *
     * @param ids
     * @param isContainConstants
     * @return
     */
    List<CapabilityAttribute> getInfoByIds(boolean isContainConstants, Long... ids);

}
