package com.yeejoin.amos.iot.business.service.intfc;

import com.yeejoin.amos.iot.business.entity.EquipmentTemplate;
import com.yeejoin.amos.op.core.common.query.DaoCriteria;
import com.yeejoin.amos.op.core.jpa.IGenericManager;
import org.springframework.data.jpa.domain.Specification;

import java.util.Collection;
import java.util.HashMap;
import java.util.List;

/**
 * <pre>
 * 设备模板服务接口
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: IEqpTemplService.java, v 0.1 2018年6月6日 下午5:38:25 as-guowubin Exp $
 */
public interface IEqpTemplService 
{

	List<EquipmentTemplate>  findAll(List<DaoCriteria> daoCriterias);

	List<EquipmentTemplate>  findAllMybatis(HashMap<String, Object> param);

	EquipmentTemplate findOne(Long id);
}
