package com.yeejoin.amos.iot.business.service.intfc;

import java.util.List;
import java.util.Map;

import com.yeejoin.amos.iot.business.entity.EquipmentTemplate;
import com.yeejoin.amos.iot.business.param.QueryMetricDataParam;

/**
 * 
 * <pre>
 * 设备历史数据
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: IHistoryDataService.java, v 0.1 2018年3月22日 上午9:56:36 as-chenjiajun Exp $
 */
public interface IHistoryDataService
{

	/**
	 * 
	 * <pre>
	 * 查询历史数据，并转换成前端需要的数据结构
	 * </pre>
	 *
	 * @param param
	 * @return
	 */
	Map<String, List<Map<String, Object>>> findByParam(QueryMetricDataParam param);

	/**
	 * 
	 * <pre>
	 * 根据equipmentId获取模板信息
	 * </pre>
	 *
	 * @param id
	 * @return
	 */
	EquipmentTemplate getDeviceById(Long id);

}
