package com.yeejoin.amos.iot.business.service.intfc;

import java.util.List;

import com.yeejoin.amos.iot.business.entity.IntfcAttribute;
import com.yeejoin.amos.iot.business.exceptions.IntfcException;
import com.yeejoin.amos.op.core.jpa.IGenericManager;
/**
 * 
 * <pre>
 * 接口属性
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: IInterfacePropertyService.java, v 0.1 2018年5月30日 上午10:08:42 as-chenjiajun Exp $
 */
public interface IInterfacePropertyService
{

	/**
	 * 
	 * <pre>
	 * 获取接口的所有属性
	 * </pre>
	 *
	 * @param id
	 * @return
	 */
	List<IntfcAttribute> getPropertysById(Long id);
	
	/**
	 * 
	 * <pre>
	 * 删除接口属性 
	 * </pre>
	 *
	 * @param ids 接口属性ID
	 */
	void delAttribute(List<Long> ids);
	
	/**
	 * 
	 * <pre>
	 * 删除接口属性 
	 * </pre>
	 *
	 * @param id 接口属性ID
	 */
	void delOneAttribute(Long id) throws IntfcException;

}
