package com.yeejoin.amos.iot.business.service.intfc;

import java.util.List;

import com.yeejoin.amos.iot.business.entity.RuleDataSource;
import com.yeejoin.amos.op.core.jpa.IGenericManager;

/**
 * 
 * <pre>
 * 规则视图中数据源Service接口
 * </pre>
 *
 * @author as-chenjiajun
 * @version $Id: IRuleDataSourceService.java, v 0.1 2018年4月10日 下午3:58:26 as-chenjiajun Exp $
 */
public interface IRuleDataSourceService 
{
	/**
	 * 
	 * <pre>
	 * 
	 * </pre>
	 *
	 * @param eqpId
	 * @return
	 */
	List<RuleDataSource> findAllByEqpId(Long eqpId);
	
	/**
	 * 
	 * <pre>
	 * delete
	 * </pre>
	 *
	 * @param id
	 */
	void delRuleDataSourceById(String id);

	RuleDataSource findOne(String key);

	RuleDataSource save(RuleDataSource ruleDataSource);
}
