/**
 * 
 */
package com.yeejoin.amos.iot.business.vo;

import java.util.Date;

/**
 * 协议vo
 * 
 * @author as-youjun
 *
 */
public class ProtocolVo {

	/**
	 * ID
	 */
	private Long id;

	/**
	 * 是否删除
	 */
	private Boolean isDelete = false;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 名称(英文、数字、下划线)
	 */
	private String name;

	/**
	 * 显示名称
	 */
	private String displayName;

	/**
	 * 可见性：0表示公共，1表示私有
	 */
	private Integer visibility = 1;

	/**
	 * 版本
	 * 
	 * @return
	 */
	private String version;

	/**
	 * 协议解析脚步语言外键ID
	 */
	private Long dicIdScriptLang;

	/**
	 * 协议解析脚步语言名称
	 */
	private String scriptName;

	/**
	 * 协议解析代码
	 */
	private String scriptCode;

	/**
	 * 用户id
	 */
	private String userId;

	/**
	 * 描述
	 */
	private String description;

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the isDelete
	 */
	public Boolean getIsDelete() {
		return isDelete;
	}

	/**
	 * @param isDelete
	 *            the isDelete to set
	 */
	public void setIsDelete(Boolean isDelete) {
		this.isDelete = isDelete;
	}

	/**
	 * @return the createTime
	 */
	public Date getCreateTime() {
		return createTime;
	}

	/**
	 * @param createTime
	 *            the createTime to set
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	/**
	 * @return the updateTime
	 */
	public Date getUpdateTime() {
		return updateTime;
	}

	/**
	 * @param updateTime
	 *            the updateTime to set
	 */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the displayName
	 */
	public String getDisplayName() {
		return displayName;
	}

	/**
	 * @param displayName
	 *            the displayName to set
	 */
	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	/**
	 * @return the visibility
	 */
	public Integer getVisibility() {
		return visibility;
	}

	/**
	 * @param visibility
	 *            the visibility to set
	 */
	public void setVisibility(Integer visibility) {
		this.visibility = visibility;
	}

	/**
	 * @return the version
	 */
	public String getVersion() {
		return version;
	}

	/**
	 * @param version
	 *            the version to set
	 */
	public void setVersion(String version) {
		this.version = version;
	}

	/**
	 * @return the dicIdScriptLang
	 */
	public Long getDicIdScriptLang() {
		return dicIdScriptLang;
	}

	/**
	 * @param dicIdScriptLang
	 *            the dicIdScriptLang to set
	 */
	public void setDicIdScriptLang(Long dicIdScriptLang) {
		this.dicIdScriptLang = dicIdScriptLang;
	}

	/**
	 * @return the scriptName
	 */
	public String getScriptName() {
		return scriptName;
	}

	/**
	 * @param scriptName
	 *            the scriptName to set
	 */
	public void setScriptName(String scriptName) {
		this.scriptName = scriptName;
	}

	/**
	 * @return the scriptCode
	 */
	public String getScriptCode() {
		return scriptCode;
	}

	/**
	 * @param scriptCode
	 *            the scriptCode to set
	 */
	public void setScriptCode(String scriptCode) {
		this.scriptCode = scriptCode;
	}

	/**
	 * @return the userId
	 */
	public String getUserId() {
		return userId;
	}

	/**
	 * @param userId
	 *            the userId to set
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}

	/**
	 * @return the description
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description
	 *            the description to set
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	@Override
	public String toString() {
		return ("id:" + this.id + ",name:" + this.name + ",scriptName:" + this.scriptName + ",version:" + this.version)
				.toString();
	}

}
