package com.yeejoin.amos.iot.icmp.groovy

import net.sf.json.JSONObject

import com.yeejoin.amos.iot.icmp.PingResult

/**
 * 解析协议数据
 * @param originals
 * @return
 */
public Object parseData(Object[] originals){
	PingResult pingResult = (PingResult)originals[0];
	if(pingResult.getPacketLossRate() == null){
		pingResult.setStatus("不通");
	}else if(pingResult.getPacketLossRate() <= 0){
		pingResult.setStatus("通");
	}else{
		pingResult.setStatus("不通");
	}
	return JSONObject.fromObject(pingResult).toString();
}

