package com.yeejoin.amos.iot.netty.gateway.param;

import java.util.List;

/**
 * 有人4G透传网关采集任务参数
 * @author as-mafeipeng
 *
 */
public class UsrGatewaySampleTaskParam {
    
    /**
     * 网关序列号，长度最长11
     */
    private String gatewayId;
    
    /**
     * 采集命令，一个网关可采集多个lora中继
     */
    private List<String> commands;
    
    /**
     * 每个不同命令之间的采集间隔
     */
    private int interval;

    public String getGatewayId() {
        return gatewayId;
    }

    public void setGatewayId(String gatewayId) {
        this.gatewayId = gatewayId;
    }

    public List<String> getCommands() {
        return commands;
    }

    public void setCommands(List<String> commands) {
        this.commands = commands;
    }

    public int getInterval() {
        return interval;
    }

    public void setInterval(int interval) {
        this.interval = interval;
    }
}
