/**
 * 
 */
package com.yeejoin.amos.iot.netty.vehicle;

import com.yeejoin.amos.iot.business.entity.MetricData;

/**
 * 车载终端数据service接口
 * 
 * @author as-youjun
 *
 */
public interface IVehicleDataService {

	/**
	 * 车载终端数据处理逻辑：1.关联设备/设备模板/能力/接口；2.数据入库；3.产生告警
	 * 
	 * @param vehicleData
	 */
	boolean process(VehicleData vehicleData);

	/**
	 * 向前端推送websocket消息
	 * 
	 * @param metricData
	 */
	void sendWebSocketMessage(MetricData metricData);

}
