/**
 * 
 */
package com.yeejoin.amos.iot.netty.vehicle.dic;

import org.apache.log4j.Logger;

import com.yeejoin.amos.iot.business.constants.IotConstant;

/**
 * 数据字典
 * 
 * @author as-youjun
 *
 */
public class VehicleDic {

	private VehicleDic() {
		Logger.getLogger(this.getClass()).debug(IotConstant.CONSTRUCTOR);
	}

	/**
	 * 公共数据字典
	 * 
	 * @author as-youjun
	 *
	 */
	public static class CommonDic {

		private CommonDic() {
			Logger.getLogger(CommonDic.class).debug(IotConstant.CONSTRUCTOR);
		}

		/**
		 * 横杠
		 */
		public static final String BAR = "-";

		/**
		 * *
		 */
		public static final String ASTERISK = "*";

	}

	/**
	 * 数据标识：GPS定位信息
	 * 
	 * @author as-youjun
	 *
	 */
	public static class DataIdDic {

		private DataIdDic() {
			Logger.getLogger(DataIdDic.class).debug(IotConstant.CONSTRUCTOR);
		}

		/**
		 * GPS定位信息
		 */
		public static final String GPSLOCATIONINFO = "GpsLocationInfo";

	}

}
