package com.yeejoin.amos.iot.rule.cmd;

/**
 * <pre> 命令执行器实现 </pre>
 * @author  HK
 * @version  $Id: CommandExecutorImpl.java, v 0.1 2017年12月25日 下午7:22:18 HK Exp $
 */
public class CommandExecutorImpl implements CommandExecutor
{
	protected CommandInterceptor first;

	public CommandExecutorImpl(CommandInterceptor first)
	{
		this.first = first;
	}

	public CommandInterceptor getFirst()
	{
		return first;
	}

	public void setFirst(CommandInterceptor commandInterceptor)
	{
		this.first = commandInterceptor;
	}

	@Override
	public <T> T execute(Command<T> command)
	{
		return first.execute(command);
	}

}
