package com.yeejoin.amos.iot.rule.engine.action;

import java.util.List;

import com.yeejoin.amos.iot.rule.cmd.Command;
import com.yeejoin.amos.iot.rule.resource.RuleAIEntity;

/**
 * 
 * <pre>
 * 规则动作命令抽象类
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: CmdAction.java, v 0.1 2018年4月25日 上午11:06:49 as-guowubin Exp $
 */
public abstract class CmdAction implements Command<Object>
{
	/**
	 * 规则触发对象
	 */
	protected List<RuleAIEntity> ruleEntities;

	public CmdAction(List<RuleAIEntity> ruleEntities)
	{
		this.ruleEntities = ruleEntities;
	}

}
