package com.yeejoin.amos.iot.rule.engine.service;

import java.util.List;

import com.yeejoin.amos.iot.business.entity.DroolsRule;
import com.yeejoin.amos.iot.business.entity.RuleGroup;
import com.yeejoin.amos.iot.rule.resource.RuleAIEntity;

public interface IRuleEngineService {

	void updateRule(RuleGroup ruleGroup,List<DroolsRule> ruleList);

	void fireRule(RuleAIEntity ruleAIEntity);
	/**
	 * <pre>
	 * 规则引擎中销毁规则
	 * </pre>
	 *
	 * @param ruleGroupList
	 */
	void destroyRule(List<RuleGroup> ruleGroupList);
	
}