package com.yeejoin.amos.iot.rule.log;

import java.util.List;

import com.yeejoin.amos.iot.business.entity.SystemLog;
import com.yeejoin.amos.op.core.entity.Resource;

/**
 * 
 * <pre>
 *  控制台输出日志
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: ConsoleLogHandler.java, v 0.1 2018年4月23日 下午5:40:25 as-guowubin Exp $
 */
public class ConsoleLogHandler implements LogHandler
{
	private static int count = 1;

	@Override
	public <T extends Resource> void handle(List<T> list)
	{
		for (T t : list)
		{
			System.out.print((count++) + ":");
			System.out.println(((SystemLog) t).getContext());
		}
	}

	@Override
	public <T extends Resource> void handle(T log)
	{
		System.out.println(((SystemLog)log).getContext());
	}
}
