package com.yeejoin.amos.iot.rule.resource;

import javax.persistence.Transient;

import com.yeejoin.amos.iot.business.entity.BasicEntity;

/**
 * 
 * <pre>
 * 规则对象实体抽象类
 * </pre>
 *
 * @author as-guowubin
 * @version $Id: RuleAIEntity.java, v 0.1 2018年5月4日 下午1:58:03 as-guowubin Exp $
 */
public abstract class RuleAIEntity extends BasicEntity
{

	/**
	 * <pre>
	 * 
	 * </pre>
	 */
	private static final long serialVersionUID = 315610967404939932L;
	/**
	 * 数据状态，与rule中的状态对应
	 */
	@Transient
	private String ruleStatus;
	
	public String getRuleStatus()
	{
		return ruleStatus;
	}
	public void setRuleStatus(String ruleStatus)
	{
		this.ruleStatus = ruleStatus;
	}


	@Override
	public String toString() {
		return "RuleAIEntity{" +
				"ruleStatus='" + ruleStatus + '\'' +
				'}';
	}
}
