package com.yeejoin.amos.iot.test;

import groovy.lang.GroovyShell;
import groovy.lang.Script;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

import com.yeejoin.amos.iot.business.polling.PollingResult;
import com.yeejoin.amos.iot.icmp.IcmpCollectService;

public class TestPing {

	public static void main(String[] args) {
		IcmpCollectService icmpCollectService = new IcmpCollectService();
		Map<String, Object> paramMap = new HashMap<String, Object>();
		paramMap.put("hostName", "172.16.3.63");
		paramMap.put("count", 4);
		paramMap.put("packetTimeout", 3000);
		PollingResult pollingResult = icmpCollectService.fetchIcmpData(paramMap);
		Object[] originals = new Object[] { pollingResult.getResult() };
		try {
			GroovyShell shell = new GroovyShell();
			File file = new File(
					"E:\\workspaces\\iot\\YeeAMOSIotRoot\\YeeAMOSIotServer\\src\\main\\java\\com\\yeejoin\\amos\\iot\\icmp\\groovy\\ParseIcmpStatus.groovy");
			Script groovyScript = shell.parse(file);
			Object result = groovyScript.invokeMethod("parseData", originals);
			System.out.println(result);
		} catch (Exception e) {
			System.out.println(e);
		}
	}

}
